/* dconf-update.c generated by valac 0.40.19, the Vala compiler
 * generated from dconf-update.vala, do not modify */

/*
 * Copyright © 2010 Codethink Limited
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the licence, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <http://www.gnu.org/licenses/>.
 *
 * Author: Ryan Lortie <desrt@desrt.ca>
 */


#include <glib.h>
#include <glib-object.h>
#include "../gvdb/gvdb-builder.h"
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <glib/gstdio.h>
#include <stdio.h>
#include <time.h>
#include <fcntl.h>
#include <errno.h>
#include <unistd.h>
#include <gio/gio.h>

#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_dir_close0(var) ((var == NULL) ? NULL : (var = (g_dir_close (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define _g_key_file_unref0(var) ((var == NULL) ? NULL : (var = (g_key_file_unref (var), NULL)))
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);
#define _vala_return_if_fail(expr, msg) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return; }
#define _vala_return_val_if_fail(expr, msg, val) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return val; }
#define _vala_warn_if_fail(expr, msg) if G_LIKELY (expr) ; else g_warn_message (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);



GvdbItem* get_parent (GHashTable* table,
                      const gchar* name);
GSList* list_directory (const gchar* dirname,
                        mode_t mode,
                        GError** error);
static void _g_free0_ (gpointer var);
static inline void _g_slist_free__g_free0_ (GSList* self);
GHashTable* read_locks_directory (const gchar* dirname,
                                  GError** error);
GHashTable* read_directory (const gchar* dirname,
                            GError** error);
time_t get_directory_mtime (const gchar* dirname,
                            struct stat* dir_buf,
                            GError** error);
void maybe_update_from_directory (const gchar* dirname,
                                  GError** error);
void update_all (const gchar* dirname,
                 GError** error);
void dconf_compile (gchar** args,
                    int args_length1,
                    GError** error);
void dconf_update (gchar** args,
                   int args_length1,
                   GError** error);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static gchar
string_get (const gchar* self,
            glong index)
{
	gchar result = '\0';
	gchar _tmp0_;
#line 1180 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, '\0');
#line 1181 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = ((gchar*) self)[index];
#line 1181 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp0_;
#line 1181 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 101 "dconf-update.c"
}


static glong
string_strnlen (gchar* str,
                glong maxlen)
{
	glong result = 0L;
	gchar* end = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
#line 1392 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = memchr (str, 0, (gsize) maxlen);
#line 1392 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	end = _tmp0_;
#line 1393 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = end;
#line 1393 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp1_ == NULL) {
#line 1394 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = maxlen;
#line 1394 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 125 "dconf-update.c"
	} else {
		gchar* _tmp2_;
#line 1396 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = end;
#line 1396 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = (glong) (_tmp2_ - str);
#line 1396 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 134 "dconf-update.c"
	}
}


static gchar*
string_substring (const gchar* self,
                  glong offset,
                  glong len)
{
	gchar* result = NULL;
	glong string_length = 0L;
	gboolean _tmp0_ = FALSE;
	glong _tmp6_;
	gchar* _tmp7_;
#line 1403 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1405 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (offset >= ((glong) 0)) {
#line 1405 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = len >= ((glong) 0);
#line 155 "dconf-update.c"
	} else {
#line 1405 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = FALSE;
#line 159 "dconf-update.c"
	}
#line 1405 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 1407 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		string_length = string_strnlen ((gchar*) self, offset + len);
#line 165 "dconf-update.c"
	} else {
		gint _tmp1_;
		gint _tmp2_;
#line 1409 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = strlen (self);
#line 1409 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1409 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		string_length = (glong) _tmp2_;
#line 175 "dconf-update.c"
	}
#line 1412 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (offset < ((glong) 0)) {
#line 179 "dconf-update.c"
		glong _tmp3_;
#line 1413 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp3_ = string_length;
#line 1413 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		offset = _tmp3_ + offset;
#line 1414 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_return_val_if_fail (offset >= ((glong) 0), NULL);
#line 187 "dconf-update.c"
	} else {
		glong _tmp4_;
#line 1416 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = string_length;
#line 1416 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_return_val_if_fail (offset <= _tmp4_, NULL);
#line 194 "dconf-update.c"
	}
#line 1418 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (len < ((glong) 0)) {
#line 198 "dconf-update.c"
		glong _tmp5_;
#line 1419 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp5_ = string_length;
#line 1419 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		len = _tmp5_ - offset;
#line 204 "dconf-update.c"
	}
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp6_ = string_length;
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail ((offset + len) <= _tmp6_, NULL);
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp7_ = g_strndup (((gchar*) self) + offset, (gsize) len);
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp7_;
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 216 "dconf-update.c"
}


GvdbItem*
get_parent (GHashTable* table,
            const gchar* name)
{
	GvdbItem* result = NULL;
	GvdbItem* parent = NULL;
	gint end = 0;
	gint _tmp5_;
	gchar* parent_name = NULL;
	gint _tmp6_;
	gchar* _tmp7_;
	const gchar* _tmp8_;
	gconstpointer _tmp9_;
	GvdbItem* _tmp10_;
	GvdbItem* _tmp16_;
#line 20 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	g_return_val_if_fail (table != NULL, NULL);
#line 20 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 23 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	end = 0;
#line 241 "dconf-update.c"
	{
		gint i = 0;
#line 25 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		i = 1;
#line 246 "dconf-update.c"
		{
			gboolean _tmp0_ = FALSE;
#line 25 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp0_ = TRUE;
#line 25 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			while (TRUE) {
#line 253 "dconf-update.c"
				gint _tmp2_;
				gint _tmp3_;
#line 25 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				if (!_tmp0_) {
#line 258 "dconf-update.c"
					gint _tmp1_;
#line 25 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp1_ = i;
#line 25 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					i = _tmp1_ + 1;
#line 264 "dconf-update.c"
				}
#line 25 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_tmp0_ = FALSE;
#line 25 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_tmp2_ = i;
#line 25 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				if (!(string_get (name, (glong) _tmp2_) != '\0')) {
#line 25 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					break;
#line 274 "dconf-update.c"
				}
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_tmp3_ = i;
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				if (string_get (name, (glong) (_tmp3_ - 1)) == '/') {
#line 280 "dconf-update.c"
					gint _tmp4_;
#line 27 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp4_ = i;
#line 27 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					end = _tmp4_;
#line 286 "dconf-update.c"
				}
			}
		}
	}
#line 31 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp5_ = end;
#line 31 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_vala_assert (_tmp5_ != 0, "end != 0");
#line 33 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp6_ = end;
#line 33 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp7_ = string_substring (name, (glong) 0, (glong) _tmp6_);
#line 33 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	parent_name = _tmp7_;
#line 34 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp8_ = parent_name;
#line 34 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp9_ = g_hash_table_lookup (table, _tmp8_);
#line 34 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	parent = (GvdbItem*) _tmp9_;
#line 36 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp10_ = parent;
#line 36 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (_tmp10_ == NULL) {
#line 311 "dconf-update.c"
		const gchar* _tmp11_;
		GvdbItem* _tmp12_;
		GvdbItem* _tmp13_;
		const gchar* _tmp14_;
		GvdbItem* _tmp15_;
#line 37 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp11_ = parent_name;
#line 37 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp12_ = gvdb_hash_table_insert (table, _tmp11_);
#line 37 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		parent = _tmp12_;
#line 38 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp13_ = parent;
#line 38 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp14_ = parent_name;
#line 38 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp15_ = get_parent (table, _tmp14_);
#line 38 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		gvdb_item_set_parent (_tmp13_, _tmp15_);
#line 331 "dconf-update.c"
	}
#line 41 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp16_ = parent;
#line 41 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	result = _tmp16_;
#line 41 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_g_free0 (parent_name);
#line 41 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	return result;
#line 341 "dconf-update.c"
}


static void
_g_free0_ (gpointer var)
{
#line 46 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	var = (g_free (var), NULL);
#line 350 "dconf-update.c"
}


static inline void
_g_slist_free__g_free0_ (GSList* self)
{
#line 46 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	g_slist_free_full (self, (GDestroyNotify) _g_free0_);
#line 359 "dconf-update.c"
}


GSList*
list_directory (const gchar* dirname,
                mode_t mode,
                GError** error)
{
	GSList* result = NULL;
	GSList* list = NULL;
	GDir* dir = NULL;
	GDir* _tmp0_;
	const gchar* name = NULL;
	GError* _inner_error0_ = NULL;
#line 44 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	g_return_val_if_fail (dirname != NULL, NULL);
#line 45 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	list = NULL;
#line 46 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp0_ = g_dir_open (dirname, (guint) 0, &_inner_error0_);
#line 46 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	dir = _tmp0_;
#line 46 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 46 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		g_propagate_error (error, _inner_error0_);
#line 46 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		(list == NULL) ? NULL : (list = (_g_slist_free__g_free0_ (list), NULL));
#line 46 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		return NULL;
#line 390 "dconf-update.c"
	}
#line 49 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	while (TRUE) {
#line 394 "dconf-update.c"
		GDir* _tmp1_;
		const gchar* _tmp2_;
		const gchar* _tmp3_;
		const gchar* _tmp4_;
		gchar* filename = NULL;
		const gchar* _tmp5_;
		gchar* _tmp6_;
		struct stat buf = {0};
		gboolean _tmp7_ = FALSE;
		const gchar* _tmp8_;
		struct stat _tmp9_ = {0};
		gint _tmp10_;
		const gchar* _tmp13_;
		gchar* _tmp14_;
#line 49 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp1_ = dir;
#line 49 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp2_ = g_dir_read_name (_tmp1_);
#line 49 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		name = _tmp2_;
#line 49 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp3_ = name;
#line 49 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (!(_tmp3_ != NULL)) {
#line 49 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			break;
#line 421 "dconf-update.c"
		}
#line 50 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp4_ = name;
#line 50 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (g_str_has_prefix (_tmp4_, ".")) {
#line 51 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			continue;
#line 429 "dconf-update.c"
		}
#line 54 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp5_ = name;
#line 54 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp6_ = g_build_filename (dirname, _tmp5_, NULL);
#line 54 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		filename = _tmp6_;
#line 58 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp8_ = filename;
#line 58 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp10_ = stat (_tmp8_, &_tmp9_);
#line 58 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		buf = _tmp9_;
#line 58 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (_tmp10_ < 0) {
#line 58 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp7_ = TRUE;
#line 447 "dconf-update.c"
		} else {
			struct stat _tmp11_;
			mode_t _tmp12_;
#line 58 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp11_ = buf;
#line 58 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp12_ = _tmp11_.st_mode;
#line 58 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp7_ = (_tmp12_ & S_IFMT) != mode;
#line 457 "dconf-update.c"
		}
#line 58 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (_tmp7_) {
#line 59 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_free0 (filename);
#line 59 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			continue;
#line 465 "dconf-update.c"
		}
#line 62 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp13_ = filename;
#line 62 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp14_ = g_strdup (_tmp13_);
#line 62 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		list = g_slist_prepend (list, _tmp14_);
#line 49 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_g_free0 (filename);
#line 475 "dconf-update.c"
	}
#line 65 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	result = list;
#line 65 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_g_dir_close0 (dir);
#line 65 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	return result;
#line 483 "dconf-update.c"
}


GHashTable*
read_locks_directory (const gchar* dirname,
                      GError** error)
{
	GHashTable* result = NULL;
	GSList* files = NULL;
	GHashTable* table = NULL;
	GHashTable* _tmp3_;
	GSList* _tmp4_;
	GError* _inner_error0_ = NULL;
#line 68 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	g_return_val_if_fail (dirname != NULL, NULL);
#line 499 "dconf-update.c"
	{
		GSList* _tmp0_ = NULL;
		GSList* _tmp1_;
		GSList* _tmp2_;
#line 72 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp1_ = list_directory (dirname, S_IFREG, &_inner_error0_);
#line 72 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp0_ = _tmp1_;
#line 72 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 72 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			if (g_error_matches (_inner_error0_, G_FILE_ERROR, G_FILE_ERROR_NOENT)) {
#line 512 "dconf-update.c"
				goto __catch0_g_file_error_noent;
			}
			goto __finally0;
		}
#line 72 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp2_ = _tmp0_;
#line 72 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp0_ = NULL;
#line 72 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 72 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		files = _tmp2_;
#line 71 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		(_tmp0_ == NULL) ? NULL : (_tmp0_ = (_g_slist_free__g_free0_ (_tmp0_), NULL));
#line 527 "dconf-update.c"
	}
	goto __finally0;
	__catch0_g_file_error_noent:
	{
		GError* e = NULL;
#line 71 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		e = _inner_error0_;
#line 71 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_inner_error0_ = NULL;
#line 75 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		result = NULL;
#line 75 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_g_error_free0 (e);
#line 75 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 75 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		return result;
#line 545 "dconf-update.c"
	}
	__finally0:
#line 71 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 71 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		g_propagate_error (error, _inner_error0_);
#line 71 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 71 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		return NULL;
#line 556 "dconf-update.c"
	}
#line 78 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp3_ = gvdb_hash_table_new (NULL, NULL);
#line 78 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	table = _tmp3_;
#line 80 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp4_ = files;
#line 564 "dconf-update.c"
	{
		GSList* filename_collection = NULL;
		GSList* filename_it = NULL;
#line 80 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		filename_collection = _tmp4_;
#line 80 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		for (filename_it = filename_collection; filename_it != NULL; filename_it = filename_it->next) {
#line 572 "dconf-update.c"
			gchar* _tmp5_;
			gchar* filename = NULL;
#line 80 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp5_ = g_strdup ((const gchar*) filename_it->data);
#line 80 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			filename = _tmp5_;
#line 579 "dconf-update.c"
			{
				gchar* contents = NULL;
				const gchar* _tmp6_;
				gchar* _tmp7_ = NULL;
				const gchar* _tmp8_;
				gchar** _tmp9_;
				gchar** _tmp10_;
#line 82 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_tmp6_ = filename;
#line 82 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				g_file_get_contents (_tmp6_, &_tmp7_, NULL, &_inner_error0_);
#line 82 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_g_free0 (contents);
#line 82 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				contents = _tmp7_;
#line 82 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 82 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					g_propagate_error (error, _inner_error0_);
#line 82 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_g_free0 (contents);
#line 82 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_g_free0 (filename);
#line 82 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_g_hash_table_unref0 (table);
#line 82 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 82 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					return NULL;
#line 609 "dconf-update.c"
				}
#line 84 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_tmp8_ = contents;
#line 84 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_tmp10_ = _tmp9_ = g_strsplit (_tmp8_, "\n", 0);
#line 615 "dconf-update.c"
				{
					gchar** line_collection = NULL;
					gint line_collection_length1 = 0;
					gint _line_collection_size_ = 0;
					gint line_it = 0;
#line 84 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					line_collection = _tmp10_;
#line 84 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					line_collection_length1 = _vala_array_length (_tmp9_);
#line 84 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					for (line_it = 0; line_it < line_collection_length1; line_it = line_it + 1) {
#line 627 "dconf-update.c"
						gchar* _tmp11_;
						gchar* line = NULL;
#line 84 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						_tmp11_ = g_strdup (line_collection[line_it]);
#line 84 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						line = _tmp11_;
#line 634 "dconf-update.c"
						{
							const gchar* _tmp12_;
#line 85 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
							_tmp12_ = line;
#line 85 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
							if (g_str_has_prefix (_tmp12_, "/")) {
#line 641 "dconf-update.c"
								GHashTable* _tmp13_;
								const gchar* _tmp14_;
#line 86 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								_tmp13_ = table;
#line 86 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								_tmp14_ = line;
#line 86 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								gvdb_hash_table_insert_string (_tmp13_, _tmp14_, "");
#line 650 "dconf-update.c"
							}
#line 84 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
							_g_free0 (line);
#line 654 "dconf-update.c"
						}
					}
#line 84 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 659 "dconf-update.c"
				}
#line 80 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_g_free0 (contents);
#line 80 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_g_free0 (filename);
#line 665 "dconf-update.c"
			}
		}
	}
#line 91 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	result = table;
#line 91 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 91 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	return result;
#line 675 "dconf-update.c"
}


static gpointer
_g_error_copy0 (gpointer self)
{
#line 109 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	return self ? g_error_copy (self) : NULL;
#line 684 "dconf-update.c"
}


static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gboolean result = FALSE;
	gchar* _tmp0_;
#line 1475 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1475 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 704 "dconf-update.c"
}


GHashTable*
read_directory (const gchar* dirname,
                GError** error)
{
	GHashTable* result = NULL;
	GHashTable* table = NULL;
	GHashTable* _tmp0_;
	GHashTable* _tmp1_;
	GSList* files = NULL;
	GSList* _tmp2_;
	GCompareFunc _tmp3_;
	GSList* _tmp4_;
	GHashTable* locks = NULL;
	gchar* _tmp76_;
	gchar* _tmp77_;
	GHashTable* _tmp78_;
	GHashTable* _tmp79_;
	GHashTable* _tmp80_;
	GError* _inner_error0_ = NULL;
#line 94 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	g_return_val_if_fail (dirname != NULL, NULL);
#line 95 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp0_ = gvdb_hash_table_new (NULL, NULL);
#line 95 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	table = _tmp0_;
#line 96 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp1_ = table;
#line 96 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	gvdb_hash_table_insert (_tmp1_, "/");
#line 98 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp2_ = list_directory (dirname, S_IFREG, &_inner_error0_);
#line 98 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	files = _tmp2_;
#line 98 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 98 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		g_propagate_error (error, _inner_error0_);
#line 98 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_g_hash_table_unref0 (table);
#line 98 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		return NULL;
#line 749 "dconf-update.c"
	}
#line 99 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp3_ = ((GCompareFunc) g_strcmp0);
#line 99 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	files = g_slist_sort (files, _tmp3_);
#line 100 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	files = g_slist_reverse (files);
#line 102 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp4_ = files;
#line 759 "dconf-update.c"
	{
		GSList* filename_collection = NULL;
		GSList* filename_it = NULL;
#line 102 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		filename_collection = _tmp4_;
#line 102 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		for (filename_it = filename_collection; filename_it != NULL; filename_it = filename_it->next) {
#line 767 "dconf-update.c"
			gchar* _tmp5_;
			gchar* filename = NULL;
#line 102 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp5_ = g_strdup ((const gchar*) filename_it->data);
#line 102 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			filename = _tmp5_;
#line 774 "dconf-update.c"
			{
				GKeyFile* kf = NULL;
				GKeyFile* _tmp6_;
#line 103 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_tmp6_ = g_key_file_new ();
#line 103 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				kf = _tmp6_;
#line 782 "dconf-update.c"
				{
					GKeyFile* _tmp7_;
					const gchar* _tmp8_;
#line 106 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp7_ = kf;
#line 106 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp8_ = filename;
#line 106 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					g_key_file_load_from_file (_tmp7_, _tmp8_, G_KEY_FILE_NONE, &_inner_error0_);
#line 106 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 794 "dconf-update.c"
						goto __catch1_g_error;
					}
				}
				goto __finally1;
				__catch1_g_error:
				{
					GError* e = NULL;
					GError* _tmp9_;
					const gchar* _tmp10_;
					GError* _tmp11_;
					const gchar* _tmp12_;
					gchar* _tmp13_;
					GError* _tmp14_;
					GError* _tmp15_;
#line 105 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					e = _inner_error0_;
#line 105 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_inner_error0_ = NULL;
#line 108 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp9_ = e;
#line 108 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp10_ = filename;
#line 108 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp11_ = e;
#line 108 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp12_ = _tmp11_->message;
#line 108 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp13_ = g_strdup_printf ("warning: Failed to read keyfile '%s': %s", _tmp10_, _tmp12_);
#line 108 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_g_free0 (_tmp9_->message);
#line 108 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp9_->message = _tmp13_;
#line 109 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp14_ = e;
#line 109 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp15_ = _g_error_copy0 (_tmp14_);
#line 109 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_inner_error0_ = _tmp15_;
#line 109 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_g_error_free0 (e);
#line 835 "dconf-update.c"
					goto __finally1;
				}
				__finally1:
#line 105 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 105 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					g_propagate_error (error, _inner_error0_);
#line 105 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_g_key_file_unref0 (kf);
#line 105 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_g_free0 (filename);
#line 105 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 105 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_g_hash_table_unref0 (table);
#line 105 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					return NULL;
#line 853 "dconf-update.c"
				}
				{
					GKeyFile* _tmp16_;
					gsize _tmp17_ = 0;
					gchar** _tmp18_;
#line 113 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp16_ = kf;
#line 113 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp18_ = g_key_file_get_groups (_tmp16_, &_tmp17_);
#line 863 "dconf-update.c"
					{
						gchar** group_collection = NULL;
						gint group_collection_length1 = 0;
						gint _group_collection_size_ = 0;
						gint group_it = 0;
#line 113 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						group_collection = _tmp18_;
#line 113 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						group_collection_length1 = _tmp17_;
#line 113 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						for (group_it = 0; group_it < group_collection_length1; group_it = group_it + 1) {
#line 875 "dconf-update.c"
							gchar* _tmp19_;
							gchar* group = NULL;
#line 113 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
							_tmp19_ = g_strdup (group_collection[group_it]);
#line 113 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
							group = _tmp19_;
#line 882 "dconf-update.c"
							{
								gboolean _tmp20_ = FALSE;
								gboolean _tmp21_ = FALSE;
								const gchar* _tmp22_;
								gchar** _tmp28_ = NULL;
								GKeyFile* _tmp29_;
								const gchar* _tmp30_;
								gsize _tmp31_ = 0;
								gchar** _tmp32_;
								gint _tmp28__length1;
								gint __tmp28__size_;
#line 114 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								_tmp22_ = group;
#line 114 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								if (g_str_has_prefix (_tmp22_, "/")) {
#line 114 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									_tmp21_ = TRUE;
#line 900 "dconf-update.c"
								} else {
									const gchar* _tmp23_;
#line 114 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									_tmp23_ = group;
#line 114 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									_tmp21_ = g_str_has_suffix (_tmp23_, "/");
#line 907 "dconf-update.c"
								}
#line 114 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								if (_tmp21_) {
#line 114 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									_tmp20_ = TRUE;
#line 913 "dconf-update.c"
								} else {
									const gchar* _tmp24_;
#line 114 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									_tmp24_ = group;
#line 114 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									_tmp20_ = string_contains (_tmp24_, "//");
#line 920 "dconf-update.c"
								}
#line 114 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								if (_tmp20_) {
#line 924 "dconf-update.c"
									FILE* _tmp25_;
									const gchar* _tmp26_;
									const gchar* _tmp27_;
#line 115 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									_tmp25_ = stderr;
#line 115 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									_tmp26_ = filename;
#line 115 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									_tmp27_ = group;
#line 115 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									fprintf (_tmp25_, "%s: ignoring invalid group name: %s\n", _tmp26_, _tmp27_);
#line 116 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									_g_free0 (group);
#line 116 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									continue;
#line 940 "dconf-update.c"
								}
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								_tmp29_ = kf;
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								_tmp30_ = group;
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								_tmp32_ = g_key_file_get_keys (_tmp29_, _tmp30_, &_tmp31_, &_inner_error0_);
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								_tmp28_ = _tmp32_;
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								_tmp28__length1 = _tmp31_;
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								__tmp28__size_ = _tmp28__length1;
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									_g_free0 (group);
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									if (_inner_error0_->domain == G_KEY_FILE_ERROR) {
#line 962 "dconf-update.c"
										goto __catch2_g_key_file_error;
									}
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									_g_key_file_unref0 (kf);
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									_g_free0 (filename);
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									_g_hash_table_unref0 (table);
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									g_clear_error (&_inner_error0_);
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									return NULL;
#line 979 "dconf-update.c"
								}
								{
									gchar** key_collection = NULL;
									gint key_collection_length1 = 0;
									gint _key_collection_size_ = 0;
									gint key_it = 0;
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									key_collection = _tmp28_;
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									key_collection_length1 = _tmp28__length1;
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
									for (key_it = 0; key_it < key_collection_length1; key_it = key_it + 1) {
#line 992 "dconf-update.c"
										gchar* _tmp33_;
										gchar* key = NULL;
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
										_tmp33_ = g_strdup (key_collection[key_it]);
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
										key = _tmp33_;
#line 999 "dconf-update.c"
										{
											const gchar* _tmp34_;
											gchar* path = NULL;
											const gchar* _tmp39_;
											gchar* _tmp40_;
											gchar* _tmp41_;
											gchar* _tmp42_;
											gchar* _tmp43_;
											const gchar* _tmp44_;
											gchar* _tmp45_;
											gchar* _tmp46_;
											GHashTable* _tmp47_;
											const gchar* _tmp48_;
											gconstpointer _tmp49_;
											gchar* text = NULL;
											GKeyFile* _tmp50_;
											const gchar* _tmp51_;
											const gchar* _tmp52_;
											gchar* _tmp53_;
#line 120 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp34_ = key;
#line 120 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											if (string_contains (_tmp34_, "/")) {
#line 1023 "dconf-update.c"
												const gchar* _tmp35_;
												const gchar* _tmp36_;
												const gchar* _tmp37_;
												GError* _tmp38_;
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp35_ = filename;
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp36_ = group;
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp37_ = key;
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp38_ = g_error_new (G_KEY_FILE_ERROR, G_KEY_FILE_ERROR_INVALID_VALUE, "%s: [%s]: invalid key name: %s", _tmp35_, _tmp36_, _tmp37_);
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_inner_error0_ = _tmp38_;
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_free0 (key);
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp28_ = (_vala_array_free (_tmp28_, _tmp28__length1, (GDestroyNotify) g_free), NULL);
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_free0 (group);
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												if (_inner_error0_->domain == G_KEY_FILE_ERROR) {
#line 1048 "dconf-update.c"
													goto __catch2_g_key_file_error;
												}
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_key_file_unref0 (kf);
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_free0 (filename);
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_hash_table_unref0 (table);
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												g_clear_error (&_inner_error0_);
#line 121 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												return NULL;
#line 1065 "dconf-update.c"
											}
#line 125 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp39_ = group;
#line 125 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp40_ = g_strconcat ("/", _tmp39_, NULL);
#line 125 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp41_ = _tmp40_;
#line 125 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp42_ = g_strconcat (_tmp41_, "/", NULL);
#line 125 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp43_ = _tmp42_;
#line 125 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp44_ = key;
#line 125 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp45_ = g_strconcat (_tmp43_, _tmp44_, NULL);
#line 125 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp46_ = _tmp45_;
#line 125 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_g_free0 (_tmp43_);
#line 125 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_g_free0 (_tmp41_);
#line 125 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											path = _tmp46_;
#line 127 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp47_ = table;
#line 127 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp48_ = path;
#line 127 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp49_ = g_hash_table_lookup (_tmp47_, _tmp48_);
#line 127 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											if (((GvdbItem*) _tmp49_) != NULL) {
#line 132 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_free0 (path);
#line 132 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_free0 (key);
#line 132 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												continue;
#line 1103 "dconf-update.c"
											}
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp50_ = kf;
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp51_ = group;
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp52_ = key;
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_tmp53_ = g_key_file_get_value (_tmp50_, _tmp51_, _tmp52_, &_inner_error0_);
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											text = _tmp53_;
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_free0 (path);
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_free0 (key);
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp28_ = (_vala_array_free (_tmp28_, _tmp28__length1, (GDestroyNotify) g_free), NULL);
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_free0 (group);
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												if (_inner_error0_->domain == G_KEY_FILE_ERROR) {
#line 1129 "dconf-update.c"
													goto __catch2_g_key_file_error;
												}
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_key_file_unref0 (kf);
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_free0 (filename);
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_hash_table_unref0 (table);
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												g_clear_error (&_inner_error0_);
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												return NULL;
#line 1146 "dconf-update.c"
											}
											{
												GVariant* value = NULL;
												const gchar* _tmp54_;
												GVariant* _tmp55_;
												GvdbItem* item = NULL;
												GHashTable* _tmp56_;
												const gchar* _tmp57_;
												GvdbItem* _tmp58_;
												GvdbItem* _tmp59_;
												GHashTable* _tmp60_;
												const gchar* _tmp61_;
												GvdbItem* _tmp62_;
												GvdbItem* _tmp63_;
												GVariant* _tmp64_;
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp54_ = text;
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp55_ = g_variant_parse (NULL, _tmp54_, NULL, NULL, &_inner_error0_);
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												value = _tmp55_;
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
													if (_inner_error0_->domain == G_VARIANT_PARSE_ERROR) {
#line 1172 "dconf-update.c"
														goto __catch3_g_variant_parse_error;
													}
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
													_g_free0 (text);
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
													_g_free0 (path);
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
													_g_free0 (key);
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
													_tmp28_ = (_vala_array_free (_tmp28_, _tmp28__length1, (GDestroyNotify) g_free), NULL);
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
													_g_free0 (group);
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
													group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
													_g_key_file_unref0 (kf);
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
													_g_free0 (filename);
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
													(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
													_g_hash_table_unref0 (table);
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
													g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
													g_clear_error (&_inner_error0_);
#line 138 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
													return NULL;
#line 1201 "dconf-update.c"
												}
#line 139 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp56_ = table;
#line 139 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp57_ = path;
#line 139 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp58_ = gvdb_hash_table_insert (_tmp56_, _tmp57_);
#line 139 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												item = _tmp58_;
#line 140 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp59_ = item;
#line 140 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp60_ = table;
#line 140 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp61_ = path;
#line 140 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp62_ = get_parent (_tmp60_, _tmp61_);
#line 140 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												gvdb_item_set_parent (_tmp59_, _tmp62_);
#line 141 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp63_ = item;
#line 141 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp64_ = value;
#line 141 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												gvdb_item_set_value (_tmp63_, _tmp64_);
#line 137 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_variant_unref0 (value);
#line 1229 "dconf-update.c"
											}
											goto __finally3;
											__catch3_g_variant_parse_error:
											{
												GError* e = NULL;
												GError* _tmp65_;
												const gchar* _tmp66_;
												const gchar* _tmp67_;
												const gchar* _tmp68_;
												const gchar* _tmp69_;
												GError* _tmp70_;
												const gchar* _tmp71_;
												gchar* _tmp72_;
												GError* _tmp73_;
												GError* _tmp74_;
#line 137 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												e = _inner_error0_;
#line 137 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_inner_error0_ = NULL;
#line 143 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp65_ = e;
#line 143 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp66_ = filename;
#line 143 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp67_ = group;
#line 143 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp68_ = key;
#line 143 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp69_ = text;
#line 143 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp70_ = e;
#line 143 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp71_ = _tmp70_->message;
#line 143 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp72_ = g_strdup_printf ("%s: [%s]: %s: invalid value: %s (%s)", _tmp66_, _tmp67_, _tmp68_, _tmp69_, _tmp71_);
#line 143 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_free0 (_tmp65_->message);
#line 143 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp65_->message = _tmp72_;
#line 144 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp73_ = e;
#line 144 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp74_ = _g_error_copy0 (_tmp73_);
#line 144 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_inner_error0_ = _tmp74_;
#line 144 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_error_free0 (e);
#line 1277 "dconf-update.c"
												goto __finally3;
											}
											__finally3:
#line 137 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 137 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_free0 (text);
#line 137 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_free0 (path);
#line 137 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_free0 (key);
#line 137 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_tmp28_ = (_vala_array_free (_tmp28_, _tmp28__length1, (GDestroyNotify) g_free), NULL);
#line 137 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												_g_free0 (group);
#line 137 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 137 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
												if (_inner_error0_->domain == G_KEY_FILE_ERROR) {
#line 1297 "dconf-update.c"
													goto __catch2_g_key_file_error;
												}
												goto __finally2;
											}
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_g_free0 (text);
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_g_free0 (path);
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
											_g_free0 (key);
#line 1308 "dconf-update.c"
										}
									}
								}
#line 113 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								_tmp28_ = (_vala_array_free (_tmp28_, _tmp28__length1, (GDestroyNotify) g_free), NULL);
#line 113 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
								_g_free0 (group);
#line 1316 "dconf-update.c"
							}
						}
#line 113 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						group_collection = (_vala_array_free (group_collection, group_collection_length1, (GDestroyNotify) g_free), NULL);
#line 1321 "dconf-update.c"
					}
				}
				goto __finally2;
				__catch2_g_key_file_error:
				{
					GError* e = NULL;
					const gchar* _tmp75_;
#line 112 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					e = _inner_error0_;
#line 112 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_inner_error0_ = NULL;
#line 150 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp75_ = e->message;
#line 150 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					g_warning ("dconf-update.vala:150: unexpected keyfile error: %s.  Please file a bu" \
"g.", _tmp75_);
#line 151 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					g_assert_not_reached ();
#line 112 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_g_error_free0 (e);
#line 1341 "dconf-update.c"
				}
				__finally2:
#line 112 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 112 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					g_propagate_error (error, _inner_error0_);
#line 112 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_g_key_file_unref0 (kf);
#line 112 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_g_free0 (filename);
#line 112 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 112 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_g_hash_table_unref0 (table);
#line 112 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					return NULL;
#line 1358 "dconf-update.c"
				}
#line 102 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_g_key_file_unref0 (kf);
#line 102 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_g_free0 (filename);
#line 1364 "dconf-update.c"
			}
		}
	}
#line 155 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp76_ = g_strconcat (dirname, "/locks", NULL);
#line 155 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp77_ = _tmp76_;
#line 155 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp78_ = read_locks_directory (_tmp77_, &_inner_error0_);
#line 155 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp79_ = _tmp78_;
#line 155 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_g_free0 (_tmp77_);
#line 155 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	locks = _tmp79_;
#line 155 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 155 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		g_propagate_error (error, _inner_error0_);
#line 155 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 155 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_g_hash_table_unref0 (table);
#line 155 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		return NULL;
#line 1390 "dconf-update.c"
	}
#line 157 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp80_ = locks;
#line 157 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (_tmp80_ != NULL) {
#line 1396 "dconf-update.c"
		GvdbItem* item = NULL;
		GHashTable* _tmp81_;
		GvdbItem* _tmp82_;
		GvdbItem* _tmp83_;
		GHashTable* _tmp84_;
#line 158 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp81_ = table;
#line 158 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp82_ = gvdb_hash_table_insert (_tmp81_, ".locks");
#line 158 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		item = _tmp82_;
#line 159 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp83_ = item;
#line 159 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp84_ = locks;
#line 159 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		gvdb_item_set_hash_table (_tmp83_, _tmp84_);
#line 1414 "dconf-update.c"
	}
#line 162 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	result = table;
#line 162 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_g_hash_table_unref0 (locks);
#line 162 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 162 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	return result;
#line 1424 "dconf-update.c"
}


time_t
get_directory_mtime (const gchar* dirname,
                     struct stat* dir_buf,
                     GError** error)
{
	time_t result = 0;
	struct stat lockdir_buf = {0};
	struct stat file_buf = {0};
	time_t dir_mtime = 0;
	struct stat _tmp0_;
	time_t _tmp1_;
	GSList* files = NULL;
	GSList* _tmp2_;
	GCompareFunc _tmp4_;
	GSList* _tmp5_;
	gboolean _tmp16_ = FALSE;
	gchar* _tmp17_;
	gchar* _tmp18_;
	struct stat _tmp19_ = {0};
	gint _tmp20_;
	gboolean _tmp21_;
	GError* _inner_error0_ = NULL;
#line 165 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	g_return_val_if_fail (dirname != NULL, 0);
#line 165 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	g_return_val_if_fail (dir_buf != NULL, 0);
#line 168 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp0_ = *dir_buf;
#line 168 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp1_ = _tmp0_.st_mtime;
#line 168 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	dir_mtime = _tmp1_;
#line 170 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp2_ = list_directory (dirname, S_IFREG, &_inner_error0_);
#line 170 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	files = _tmp2_;
#line 170 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1466 "dconf-update.c"
		time_t _tmp3_ = 0;
#line 170 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		g_propagate_error (error, _inner_error0_);
#line 170 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		return _tmp3_;
#line 1472 "dconf-update.c"
	}
#line 171 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp4_ = ((GCompareFunc) g_strcmp0);
#line 171 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	files = g_slist_sort (files, _tmp4_);
#line 172 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	files = g_slist_reverse (files);
#line 174 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp5_ = files;
#line 1482 "dconf-update.c"
	{
		GSList* filename_collection = NULL;
		GSList* filename_it = NULL;
#line 174 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		filename_collection = _tmp5_;
#line 174 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		for (filename_it = filename_collection; filename_it != NULL; filename_it = filename_it->next) {
#line 1490 "dconf-update.c"
			gchar* _tmp6_;
			gchar* filename = NULL;
#line 174 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp6_ = g_strdup ((const gchar*) filename_it->data);
#line 174 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			filename = _tmp6_;
#line 1497 "dconf-update.c"
			{
				gboolean _tmp7_ = FALSE;
				const gchar* _tmp8_;
				struct stat _tmp9_ = {0};
				gint _tmp10_;
#line 175 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_tmp8_ = filename;
#line 175 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_tmp10_ = stat (_tmp8_, &_tmp9_);
#line 175 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				file_buf = _tmp9_;
#line 175 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				if (_tmp10_ == 0) {
#line 1511 "dconf-update.c"
					struct stat _tmp11_;
					time_t _tmp12_;
					time_t _tmp13_;
#line 175 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp11_ = file_buf;
#line 175 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp12_ = _tmp11_.st_mtime;
#line 175 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp13_ = dir_mtime;
#line 175 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp7_ = _tmp12_ > _tmp13_;
#line 1523 "dconf-update.c"
				} else {
#line 175 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp7_ = FALSE;
#line 1527 "dconf-update.c"
				}
#line 175 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				if (_tmp7_) {
#line 1531 "dconf-update.c"
					struct stat _tmp14_;
					time_t _tmp15_;
#line 176 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp14_ = file_buf;
#line 176 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp15_ = _tmp14_.st_mtime;
#line 176 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					dir_mtime = _tmp15_;
#line 1540 "dconf-update.c"
				}
#line 174 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_g_free0 (filename);
#line 1544 "dconf-update.c"
			}
		}
	}
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp17_ = g_strconcat (dirname, "/locks", NULL);
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp18_ = _tmp17_;
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp20_ = stat (_tmp18_, &_tmp19_);
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	lockdir_buf = _tmp19_;
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp21_ = _tmp20_ == 0;
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_g_free0 (_tmp18_);
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (_tmp21_) {
#line 1562 "dconf-update.c"
		struct stat _tmp22_;
		mode_t _tmp23_;
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp22_ = lockdir_buf;
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp23_ = _tmp22_.st_mode;
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp16_ = S_ISDIR (_tmp23_);
#line 1571 "dconf-update.c"
	} else {
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp16_ = FALSE;
#line 1575 "dconf-update.c"
	}
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (_tmp16_) {
#line 1579 "dconf-update.c"
		struct stat _tmp24_;
		time_t _tmp25_;
		time_t _tmp26_;
		GSList* _tmp29_ = NULL;
		gchar* _tmp30_;
		gchar* _tmp31_;
		GSList* _tmp32_;
		GSList* _tmp33_;
		GSList* _tmp35_;
		GCompareFunc _tmp36_;
		GSList* _tmp37_;
#line 180 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp24_ = lockdir_buf;
#line 180 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp25_ = _tmp24_.st_mtime;
#line 180 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp26_ = dir_mtime;
#line 180 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (_tmp25_ > _tmp26_) {
#line 1599 "dconf-update.c"
			struct stat _tmp27_;
			time_t _tmp28_;
#line 182 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp27_ = lockdir_buf;
#line 182 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp28_ = _tmp27_.st_mtime;
#line 182 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			dir_mtime = _tmp28_;
#line 1608 "dconf-update.c"
		}
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp30_ = g_strconcat (dirname, "/locks", NULL);
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp31_ = _tmp30_;
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp32_ = list_directory (_tmp31_, S_IFREG, &_inner_error0_);
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp33_ = _tmp32_;
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_g_free0 (_tmp31_);
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp29_ = _tmp33_;
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1624 "dconf-update.c"
			time_t _tmp34_ = 0;
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			g_propagate_error (error, _inner_error0_);
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			return _tmp34_;
#line 1632 "dconf-update.c"
		}
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp35_ = _tmp29_;
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp29_ = NULL;
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		files = _tmp35_;
#line 186 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp36_ = ((GCompareFunc) g_strcmp0);
#line 186 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		files = g_slist_sort (files, _tmp36_);
#line 187 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		files = g_slist_reverse (files);
#line 189 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp37_ = files;
#line 1650 "dconf-update.c"
		{
			GSList* filename_collection = NULL;
			GSList* filename_it = NULL;
#line 189 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			filename_collection = _tmp37_;
#line 189 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			for (filename_it = filename_collection; filename_it != NULL; filename_it = filename_it->next) {
#line 1658 "dconf-update.c"
				gchar* _tmp38_;
				gchar* filename = NULL;
#line 189 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_tmp38_ = g_strdup ((const gchar*) filename_it->data);
#line 189 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				filename = _tmp38_;
#line 1665 "dconf-update.c"
				{
					gboolean _tmp39_ = FALSE;
					const gchar* _tmp40_;
					struct stat _tmp41_ = {0};
					gint _tmp42_;
#line 190 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp40_ = filename;
#line 190 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp42_ = stat (_tmp40_, &_tmp41_);
#line 190 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					file_buf = _tmp41_;
#line 190 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					if (_tmp42_ == 0) {
#line 1679 "dconf-update.c"
						struct stat _tmp43_;
						time_t _tmp44_;
						time_t _tmp45_;
#line 190 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						_tmp43_ = file_buf;
#line 190 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						_tmp44_ = _tmp43_.st_mtime;
#line 190 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						_tmp45_ = dir_mtime;
#line 190 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						_tmp39_ = _tmp44_ > _tmp45_;
#line 1691 "dconf-update.c"
					} else {
#line 190 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						_tmp39_ = FALSE;
#line 1695 "dconf-update.c"
					}
#line 190 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					if (_tmp39_) {
#line 1699 "dconf-update.c"
						struct stat _tmp46_;
						time_t _tmp47_;
#line 191 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						_tmp46_ = file_buf;
#line 191 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						_tmp47_ = _tmp46_.st_mtime;
#line 191 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						dir_mtime = _tmp47_;
#line 1708 "dconf-update.c"
					}
#line 189 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_g_free0 (filename);
#line 1712 "dconf-update.c"
				}
			}
		}
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		(_tmp29_ == NULL) ? NULL : (_tmp29_ = (_g_slist_free__g_free0_ (_tmp29_), NULL));
#line 1718 "dconf-update.c"
	}
#line 195 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	result = dir_mtime;
#line 195 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	(files == NULL) ? NULL : (files = (_g_slist_free__g_free0_ (files), NULL));
#line 195 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	return result;
#line 1726 "dconf-update.c"
}


void
maybe_update_from_directory (const gchar* dirname,
                             GError** error)
{
	struct stat dir_buf = {0};
	gboolean _tmp0_ = FALSE;
	struct stat _tmp1_ = {0};
	gint _tmp2_;
	GError* _inner_error0_ = NULL;
#line 198 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	g_return_if_fail (dirname != NULL);
#line 201 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp2_ = stat (dirname, &_tmp1_);
#line 201 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	dir_buf = _tmp1_;
#line 201 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (_tmp2_ == 0) {
#line 1747 "dconf-update.c"
		struct stat _tmp3_;
		mode_t _tmp4_;
#line 201 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp3_ = dir_buf;
#line 201 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp4_ = _tmp3_.st_mode;
#line 201 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp0_ = S_ISDIR (_tmp4_);
#line 1756 "dconf-update.c"
	} else {
#line 201 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp0_ = FALSE;
#line 1760 "dconf-update.c"
	}
#line 201 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (_tmp0_) {
#line 1764 "dconf-update.c"
		struct stat file_buf = {0};
		gchar* filename = NULL;
		gint _tmp5_;
		gint _tmp6_;
		gchar* _tmp7_;
		gboolean _tmp8_ = FALSE;
		const gchar* _tmp9_;
		struct stat _tmp10_ = {0};
		gint _tmp11_;
		GHashTable* table = NULL;
		GHashTable* _tmp16_;
		gint fd = 0;
		const gchar* _tmp17_;
		gboolean _tmp18_ = FALSE;
		gint _tmp19_;
#line 204 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp5_ = strlen (dirname);
#line 204 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp6_ = _tmp5_;
#line 204 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp7_ = string_substring (dirname, (glong) 0, (glong) (_tmp6_ - 2));
#line 204 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		filename = _tmp7_;
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp9_ = filename;
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp11_ = stat (_tmp9_, &_tmp10_);
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		file_buf = _tmp10_;
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (_tmp11_ == 0) {
#line 1796 "dconf-update.c"
			time_t _tmp12_ = 0;
			struct stat _tmp13_;
			struct stat _tmp14_;
			time_t _tmp15_;
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp13_ = dir_buf;
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp12_ = get_directory_mtime (dirname, &_tmp13_, &_inner_error0_);
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				g_propagate_error (error, _inner_error0_);
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_g_free0 (filename);
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				return;
#line 1813 "dconf-update.c"
			}
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp14_ = file_buf;
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp15_ = _tmp14_.st_mtime;
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp8_ = _tmp15_ > _tmp12_;
#line 1821 "dconf-update.c"
		} else {
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp8_ = FALSE;
#line 1825 "dconf-update.c"
		}
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (_tmp8_) {
#line 207 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_free0 (filename);
#line 207 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			return;
#line 1833 "dconf-update.c"
		}
#line 210 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp16_ = read_directory (dirname, &_inner_error0_);
#line 210 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		table = _tmp16_;
#line 210 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 210 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			g_propagate_error (error, _inner_error0_);
#line 210 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_free0 (filename);
#line 210 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			return;
#line 1847 "dconf-update.c"
		}
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp17_ = filename;
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		fd = open (_tmp17_, O_WRONLY, (mode_t) 0);
#line 214 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp19_ = fd;
#line 214 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (_tmp19_ < 0) {
#line 1857 "dconf-update.c"
			gint _tmp20_;
#line 214 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp20_ = errno;
#line 214 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp18_ = _tmp20_ != ENOENT;
#line 1863 "dconf-update.c"
		} else {
#line 214 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp18_ = FALSE;
#line 1867 "dconf-update.c"
		}
#line 214 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (_tmp18_) {
#line 1871 "dconf-update.c"
			gint saved_error = 0;
			gint _tmp21_;
			const gchar* _tmp22_;
			gint _tmp23_;
			const gchar* _tmp24_;
#line 215 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp21_ = errno;
#line 215 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			saved_error = _tmp21_;
#line 216 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp22_ = filename;
#line 216 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp23_ = saved_error;
#line 216 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp24_ = g_strerror (_tmp23_);
#line 216 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			g_printerr ("warning: Failed to open '%s' for replacement: %s\n", _tmp22_, _tmp24_);
#line 217 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_hash_table_unref0 (table);
#line 217 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_free0 (filename);
#line 217 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			return;
#line 1895 "dconf-update.c"
		}
		{
			GHashTable* _tmp25_;
			const gchar* _tmp26_;
			gint _tmp27_;
#line 223 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp25_ = table;
#line 223 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp26_ = filename;
#line 223 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			gvdb_table_write_contents (_tmp25_, _tmp26_, FALSE, &_inner_error0_);
#line 223 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1909 "dconf-update.c"
				goto __catch4_g_error;
			}
#line 225 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp27_ = fd;
#line 225 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			if (_tmp27_ >= 0) {
#line 1916 "dconf-update.c"
				gint _tmp28_;
#line 226 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_tmp28_ = fd;
#line 226 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				write (_tmp28_, "\0\0\0\0\0\0\0\0", (gsize) 8);
#line 1922 "dconf-update.c"
			}
		}
		goto __finally4;
		__catch4_g_error:
		{
			GError* e = NULL;
			GError* _tmp29_;
			const gchar* _tmp30_;
#line 222 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			e = _inner_error0_;
#line 222 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_inner_error0_ = NULL;
#line 229 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp29_ = e;
#line 229 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp30_ = _tmp29_->message;
#line 229 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			g_printerr ("warning: %s\n", _tmp30_);
#line 230 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_error_free0 (e);
#line 1943 "dconf-update.c"
			{
				GError* _inner_error0_ = NULL;
				gint _tmp31_;
#line 232 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_tmp31_ = fd;
#line 232 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				if (_tmp31_ >= 0) {
#line 1951 "dconf-update.c"
					gint _tmp32_;
#line 233 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					_tmp32_ = fd;
#line 233 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					close (_tmp32_);
#line 1957 "dconf-update.c"
				}
			}
#line 230 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_hash_table_unref0 (table);
#line 230 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_free0 (filename);
#line 230 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			return;
#line 1966 "dconf-update.c"
		}
		__finally4:
		{
			GError* _inner_error1_ = NULL;
			gint _tmp33_;
#line 232 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp33_ = fd;
#line 232 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			if (_tmp33_ >= 0) {
#line 1976 "dconf-update.c"
				gint _tmp34_;
#line 233 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_tmp34_ = fd;
#line 233 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				close (_tmp34_);
#line 1982 "dconf-update.c"
			}
		}
#line 222 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 222 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			g_propagate_error (error, _inner_error0_);
#line 222 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_hash_table_unref0 (table);
#line 222 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_free0 (filename);
#line 222 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			return;
#line 1995 "dconf-update.c"
		}
		{
			GDBusConnection* system_bus = NULL;
			GDBusConnection* _tmp35_;
			GDBusConnection* _tmp36_;
			const gchar* _tmp37_;
			gchar* _tmp38_;
			gchar* _tmp39_;
			gchar* _tmp40_;
			gchar* _tmp41_;
			GVariant* _tmp42_;
			GVariant* _tmp43_;
			GDBusConnection* _tmp44_;
#line 238 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp35_ = g_bus_get_sync (G_BUS_TYPE_SYSTEM, NULL, &_inner_error0_);
#line 238 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			system_bus = _tmp35_;
#line 238 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2015 "dconf-update.c"
				goto __catch5_g_error;
			}
#line 239 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp36_ = system_bus;
#line 239 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp37_ = filename;
#line 239 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp38_ = g_path_get_basename (_tmp37_);
#line 239 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp39_ = _tmp38_;
#line 239 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp40_ = g_strconcat ("/ca/desrt/dconf/Writer/", _tmp39_, NULL);
#line 239 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp41_ = _tmp40_;
#line 239 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp42_ = g_variant_new ("(s)", "/", NULL);
#line 239 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			g_variant_ref_sink (_tmp42_);
#line 239 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp43_ = _tmp42_;
#line 239 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			g_dbus_connection_emit_signal (_tmp36_, NULL, _tmp41_, "ca.desrt.dconf.Writer", "WritabilityNotify", _tmp43_, &_inner_error0_);
#line 239 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_variant_unref0 (_tmp43_);
#line 239 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_free0 (_tmp41_);
#line 239 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_free0 (_tmp39_);
#line 239 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 239 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_g_object_unref0 (system_bus);
#line 2048 "dconf-update.c"
				goto __catch5_g_error;
			}
#line 241 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp44_ = system_bus;
#line 241 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			g_dbus_connection_flush_sync (_tmp44_, NULL, &_inner_error0_);
#line 241 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 241 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_g_object_unref0 (system_bus);
#line 2059 "dconf-update.c"
				goto __catch5_g_error;
			}
#line 237 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_object_unref0 (system_bus);
#line 2064 "dconf-update.c"
		}
		goto __finally5;
		__catch5_g_error:
		{
#line 237 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			g_clear_error (&_inner_error0_);
#line 237 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_inner_error0_ = NULL;
#line 2073 "dconf-update.c"
		}
		__finally5:
#line 237 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 237 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			g_propagate_error (error, _inner_error0_);
#line 237 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_hash_table_unref0 (table);
#line 237 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_free0 (filename);
#line 237 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			return;
#line 2086 "dconf-update.c"
		}
#line 201 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_g_hash_table_unref0 (table);
#line 201 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_g_free0 (filename);
#line 2092 "dconf-update.c"
	}
}


void
update_all (const gchar* dirname,
            GError** error)
{
	GSList* _tmp0_ = NULL;
	GSList* _tmp1_;
	GError* _inner_error0_ = NULL;
#line 248 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	g_return_if_fail (dirname != NULL);
#line 249 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp1_ = list_directory (dirname, S_IFDIR, &_inner_error0_);
#line 249 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp0_ = _tmp1_;
#line 249 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 249 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		g_propagate_error (error, _inner_error0_);
#line 249 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		return;
#line 2116 "dconf-update.c"
	}
	{
		GSList* name_collection = NULL;
		GSList* name_it = NULL;
#line 249 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		name_collection = _tmp0_;
#line 249 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		for (name_it = name_collection; name_it != NULL; name_it = name_it->next) {
#line 2125 "dconf-update.c"
			gchar* _tmp2_;
			gchar* name = NULL;
#line 249 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_tmp2_ = g_strdup ((const gchar*) name_it->data);
#line 249 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			name = _tmp2_;
#line 2132 "dconf-update.c"
			{
				const gchar* _tmp3_;
#line 250 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_tmp3_ = name;
#line 250 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				if (g_str_has_suffix (_tmp3_, ".d")) {
#line 2139 "dconf-update.c"
					{
						const gchar* _tmp4_;
#line 252 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						_tmp4_ = name;
#line 252 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						maybe_update_from_directory (_tmp4_, &_inner_error0_);
#line 252 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2148 "dconf-update.c"
							goto __catch6_g_error;
						}
					}
					goto __finally6;
					__catch6_g_error:
					{
						GError* e = NULL;
						const gchar* _tmp5_;
						GError* _tmp6_;
						const gchar* _tmp7_;
#line 251 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						e = _inner_error0_;
#line 251 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						_inner_error0_ = NULL;
#line 254 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						_tmp5_ = name;
#line 254 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						_tmp6_ = e;
#line 254 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						_tmp7_ = _tmp6_->message;
#line 254 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						g_printerr ("unable compile %s: %s\n", _tmp5_, _tmp7_);
#line 251 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						_g_error_free0 (e);
#line 2173 "dconf-update.c"
					}
					__finally6:
#line 251 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
					if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 251 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						g_propagate_error (error, _inner_error0_);
#line 251 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						_g_free0 (name);
#line 251 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						(_tmp0_ == NULL) ? NULL : (_tmp0_ = (_g_slist_free__g_free0_ (_tmp0_), NULL));
#line 251 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
						return;
#line 2186 "dconf-update.c"
					}
				}
#line 249 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
				_g_free0 (name);
#line 2191 "dconf-update.c"
			}
		}
	}
#line 248 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	(_tmp0_ == NULL) ? NULL : (_tmp0_ = (_g_slist_free__g_free0_ (_tmp0_), NULL));
#line 2197 "dconf-update.c"
}


void
dconf_compile (gchar** args,
               int args_length1,
               GError** error)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp2_;
	GError* _inner_error0_ = NULL;
#line 261 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	_tmp2_ = args[2];
#line 261 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (_tmp2_ == NULL) {
#line 261 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp1_ = TRUE;
#line 2216 "dconf-update.c"
	} else {
		const gchar* _tmp3_;
#line 261 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp3_ = args[3];
#line 261 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp1_ = _tmp3_ == NULL;
#line 2223 "dconf-update.c"
	}
#line 261 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (_tmp1_) {
#line 261 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp0_ = TRUE;
#line 2229 "dconf-update.c"
	} else {
		const gchar* _tmp4_;
#line 261 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp4_ = args[4];
#line 261 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp0_ = _tmp4_ != NULL;
#line 2236 "dconf-update.c"
	}
#line 261 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (_tmp0_) {
#line 2240 "dconf-update.c"
		GError* _tmp5_;
#line 262 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp5_ = g_error_new_literal (G_OPTION_ERROR, G_OPTION_ERROR_FAILED, "must give output file and .d dir");
#line 262 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_inner_error0_ = _tmp5_;
#line 262 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		g_propagate_error (error, _inner_error0_);
#line 262 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		return;
#line 2250 "dconf-update.c"
	}
	{
		GHashTable* table = NULL;
		const gchar* _tmp6_;
		GHashTable* _tmp7_;
		gboolean should_byteswap = FALSE;
		GHashTable* _tmp8_;
		const gchar* _tmp9_;
		gboolean _tmp10_;
#line 268 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp6_ = args[3];
#line 268 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp7_ = read_directory (_tmp6_, &_inner_error0_);
#line 268 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		table = _tmp7_;
#line 268 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2268 "dconf-update.c"
			goto __catch7_g_error;
		}
#line 269 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		should_byteswap = G_BYTE_ORDER == G_BIG_ENDIAN;
#line 270 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp8_ = table;
#line 270 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp9_ = args[2];
#line 270 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp10_ = should_byteswap;
#line 270 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		gvdb_table_write_contents (_tmp8_, _tmp9_, _tmp10_, &_inner_error0_);
#line 270 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 270 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
			_g_hash_table_unref0 (table);
#line 2285 "dconf-update.c"
			goto __catch7_g_error;
		}
#line 265 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_g_hash_table_unref0 (table);
#line 2290 "dconf-update.c"
	}
	goto __finally7;
	__catch7_g_error:
	{
		GError* e = NULL;
		const gchar* _tmp11_;
#line 265 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		e = _inner_error0_;
#line 265 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_inner_error0_ = NULL;
#line 272 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_tmp11_ = e->message;
#line 272 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		g_printerr ("%s\n", _tmp11_);
#line 273 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		exit (1);
#line 265 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		_g_error_free0 (e);
#line 2309 "dconf-update.c"
	}
	__finally7:
#line 265 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 265 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		g_propagate_error (error, _inner_error0_);
#line 265 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		return;
#line 2318 "dconf-update.c"
	}
}


void
dconf_update (gchar** args,
              int args_length1,
              GError** error)
{
	GError* _inner_error0_ = NULL;
#line 278 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	update_all ("/etc/dconf/db", &_inner_error0_);
#line 278 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 278 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		g_propagate_error (error, _inner_error0_);
#line 278 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf-update.vala"
		return;
#line 2337 "dconf-update.c"
	}
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



