/* dconf.c generated by valac 0.40.19, the Vala compiler
 * generated from dconf.vala, do not modify */

/*
 * Copyright © 2010, 2011 Codethink Limited
 * Copyright © 2011 Canonical Limited
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the licence, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <http://www.gnu.org/licenses/>.
 *
 * Author: Ryan Lortie <desrt@desrt.ca>
 */


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include "dconf.h"
#include <gio/gio.h>
#include <locale.h>
#include <stdio.h>

#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_string_free0(var) ((var == NULL) ? NULL : (var = (g_string_free (var, TRUE), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))
#define _g_main_loop_unref0(var) ((var == NULL) ? NULL : (var = (g_main_loop_unref (var), NULL)))
#define _g_variant_type_free0(var) ((var == NULL) ? NULL : (var = (g_variant_type_free (var), NULL)))
typedef void (*Command) (gchar** args, int args_length1, gpointer user_data, GError** error);

#define TYPE_COMMAND_MAPPING (command_mapping_get_type ())
typedef struct _CommandMapping CommandMapping;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);
#define _vala_return_if_fail(expr, msg) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return; }
#define _vala_return_val_if_fail(expr, msg, val) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return val; }
#define _vala_warn_if_fail(expr, msg) if G_LIKELY (expr) ; else g_warn_message (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);

struct _CommandMapping {
	Command func;
	gpointer func_target;
	GDestroyNotify func_target_destroy_notify;
	gchar* name;
};



void show_help (gboolean requested,
                const gchar* command);
void dconf_help (gchar** args,
                 int args_length1,
                 GError** error);
void dconf_read (gchar** args,
                 int args_length1,
                 GError** error);
void dconf_list (gchar** args,
                 int args_length1,
                 GError** error);
void dconf_list_locks (gchar** args,
                       int args_length1,
                       GError** error);
void dconf_write (gchar** args,
                  int args_length1,
                  GError** error);
void dconf_reset (gchar** args,
                  int args_length1,
                  GError** error);
void show_path (DConfClient* client,
                const gchar* path);
void watch_function (DConfClient* client,
                     const gchar* path,
                     gchar** items,
                     int items_length1,
                     const gchar* tag);
void dconf_watch (gchar** args,
                  int args_length1,
                  GError** error);
static void _watch_function_dconf_client_changed (DConfClient* _sender,
                                           const gchar* prefix,
                                           gchar** changes,
                                           const gchar* tag,
                                           gpointer self);
void dconf_blame (gchar** args,
                  int args_length1,
                  GError** error);
void dconf_complete (gchar** args,
                     int args_length1,
                     GError** error);
GType command_mapping_get_type (void) G_GNUC_CONST;
CommandMapping* command_mapping_dup (const CommandMapping* self);
void command_mapping_free (CommandMapping* self);
void command_mapping_copy (const CommandMapping* self,
                           CommandMapping* dest);
void command_mapping_destroy (CommandMapping* self);
void command_mapping_init (CommandMapping *self,
                           const gchar* name,
                           Command func,
                           gpointer func_target);
gint _vala_main (gchar** args,
                 int args_length1);
static void _dconf_help_command (gchar** args,
                          int args_length1,
                          gpointer self,
                          GError** error);
static void _dconf_read_command (gchar** args,
                          int args_length1,
                          gpointer self,
                          GError** error);
static void _dconf_list_command (gchar** args,
                          int args_length1,
                          gpointer self,
                          GError** error);
static void _dconf_list_locks_command (gchar** args,
                                int args_length1,
                                gpointer self,
                                GError** error);
static void _dconf_write_command (gchar** args,
                           int args_length1,
                           gpointer self,
                           GError** error);
static void _dconf_reset_command (gchar** args,
                           int args_length1,
                           gpointer self,
                           GError** error);
void dconf_compile (gchar** args,
                    int args_length1,
                    GError** error);
static void _dconf_compile_command (gchar** args,
                             int args_length1,
                             gpointer self,
                             GError** error);
void dconf_update (gchar** args,
                   int args_length1,
                   GError** error);
static void _dconf_update_command (gchar** args,
                            int args_length1,
                            gpointer self,
                            GError** error);
static void _dconf_watch_command (gchar** args,
                           int args_length1,
                           gpointer self,
                           GError** error);
void dconf_dump (gchar** args,
                 int args_length1,
                 GError** error);
static void _dconf_dump_command (gchar** args,
                          int args_length1,
                          gpointer self,
                          GError** error);
void dconf_load (gchar** args,
                 int args_length1,
                 GError** error);
static void _dconf_load_command (gchar** args,
                          int args_length1,
                          gpointer self,
                          GError** error);
static void _dconf_blame_command (gchar** args,
                           int args_length1,
                           gpointer self,
                           GError** error);
static void _dconf_complete_command (gchar** args,
                              int args_length1,
                              gpointer self,
                              GError** error);
static void _vala_CommandMapping_array_free (CommandMapping * array,
                                      gint array_length);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gboolean result = FALSE;
	gchar* _tmp0_;
#line 1475 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1475 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 204 "dconf.c"
}


void
show_help (gboolean requested,
           const gchar* command)
{
	GString* str = NULL;
	GString* _tmp0_;
	gchar* description = NULL;
	gchar* synopsis = NULL;
	const gchar* _tmp1_;
	GQuark _tmp3_ = 0U;
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	static GQuark _tmp2_label0 = 0;
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	static GQuark _tmp2_label1 = 0;
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	static GQuark _tmp2_label2 = 0;
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	static GQuark _tmp2_label3 = 0;
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	static GQuark _tmp2_label4 = 0;
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	static GQuark _tmp2_label5 = 0;
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	static GQuark _tmp2_label6 = 0;
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	static GQuark _tmp2_label7 = 0;
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	static GQuark _tmp2_label8 = 0;
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	static GQuark _tmp2_label9 = 0;
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	static GQuark _tmp2_label10 = 0;
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	static GQuark _tmp2_label11 = 0;
#line 22 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp0_ = g_string_new ("");
#line 22 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	str = _tmp0_;
#line 23 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	description = NULL;
#line 24 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	synopsis = NULL;
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp1_ = command;
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp3_ = (NULL == _tmp1_) ? 0 : g_quark_from_string (_tmp1_);
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (_tmp3_ == ((0 != _tmp2_label0) ? _tmp2_label0 : (_tmp2_label0 = g_quark_from_static_string (NULL)))) {
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		switch (0) {
#line 258 "dconf.c"
			default:
			{
#line 28 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				break;
#line 263 "dconf.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label1) ? _tmp2_label1 : (_tmp2_label1 = g_quark_from_static_string ("help")))) {
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		switch (0) {
#line 269 "dconf.c"
			default:
			{
				gchar* _tmp4_;
				gchar* _tmp5_;
#line 31 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp4_ = g_strdup ("Print help");
#line 31 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (description);
#line 31 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				description = _tmp4_;
#line 32 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp5_ = g_strdup (" COMMAND ");
#line 32 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (synopsis);
#line 32 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				synopsis = _tmp5_;
#line 33 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				break;
#line 288 "dconf.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label2) ? _tmp2_label2 : (_tmp2_label2 = g_quark_from_static_string ("read")))) {
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		switch (0) {
#line 294 "dconf.c"
			default:
			{
				gchar* _tmp6_;
				gchar* _tmp7_;
#line 36 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp6_ = g_strdup ("Read the value of a key.  -d to read default values.");
#line 36 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (description);
#line 36 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				description = _tmp6_;
#line 37 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp7_ = g_strdup (" [-d] KEY ");
#line 37 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (synopsis);
#line 37 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				synopsis = _tmp7_;
#line 38 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				break;
#line 313 "dconf.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label3) ? _tmp2_label3 : (_tmp2_label3 = g_quark_from_static_string ("list")))) {
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		switch (0) {
#line 319 "dconf.c"
			default:
			{
				gchar* _tmp8_;
				gchar* _tmp9_;
#line 41 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp8_ = g_strdup ("List the sub-keys and sub-dirs of a dir");
#line 41 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (description);
#line 41 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				description = _tmp8_;
#line 42 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp9_ = g_strdup (" DIR ");
#line 42 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (synopsis);
#line 42 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				synopsis = _tmp9_;
#line 43 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				break;
#line 338 "dconf.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label4) ? _tmp2_label4 : (_tmp2_label4 = g_quark_from_static_string ("list-locks")))) {
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		switch (0) {
#line 344 "dconf.c"
			default:
			{
				gchar* _tmp10_;
				gchar* _tmp11_;
#line 46 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp10_ = g_strdup ("List the locks under a dir");
#line 46 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (description);
#line 46 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				description = _tmp10_;
#line 47 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp11_ = g_strdup (" DIR ");
#line 47 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (synopsis);
#line 47 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				synopsis = _tmp11_;
#line 48 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				break;
#line 363 "dconf.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label5) ? _tmp2_label5 : (_tmp2_label5 = g_quark_from_static_string ("write")))) {
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		switch (0) {
#line 369 "dconf.c"
			default:
			{
				gchar* _tmp12_;
				gchar* _tmp13_;
#line 51 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp12_ = g_strdup ("Write a new value to a key");
#line 51 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (description);
#line 51 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				description = _tmp12_;
#line 52 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp13_ = g_strdup (" KEY VALUE ");
#line 52 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (synopsis);
#line 52 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				synopsis = _tmp13_;
#line 53 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				break;
#line 388 "dconf.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label6) ? _tmp2_label6 : (_tmp2_label6 = g_quark_from_static_string ("reset")))) {
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		switch (0) {
#line 394 "dconf.c"
			default:
			{
				gchar* _tmp14_;
				gchar* _tmp15_;
#line 56 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp14_ = g_strdup ("Reset a key or dir.  -f is required for dirs.");
#line 56 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (description);
#line 56 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				description = _tmp14_;
#line 57 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp15_ = g_strdup (" [-f] PATH ");
#line 57 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (synopsis);
#line 57 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				synopsis = _tmp15_;
#line 58 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				break;
#line 413 "dconf.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label7) ? _tmp2_label7 : (_tmp2_label7 = g_quark_from_static_string ("compile")))) {
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		switch (0) {
#line 419 "dconf.c"
			default:
			{
				gchar* _tmp16_;
				gchar* _tmp17_;
#line 61 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp16_ = g_strdup ("Compile a binary database from keyfiles");
#line 61 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (description);
#line 61 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				description = _tmp16_;
#line 62 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp17_ = g_strdup (" OUTPUT KEYFILEDIR ");
#line 62 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (synopsis);
#line 62 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				synopsis = _tmp17_;
#line 63 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				break;
#line 438 "dconf.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label8) ? _tmp2_label8 : (_tmp2_label8 = g_quark_from_static_string ("update")))) {
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		switch (0) {
#line 444 "dconf.c"
			default:
			{
				gchar* _tmp18_;
				gchar* _tmp19_;
#line 66 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp18_ = g_strdup ("Update the system dconf databases");
#line 66 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (description);
#line 66 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				description = _tmp18_;
#line 67 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp19_ = g_strdup ("");
#line 67 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (synopsis);
#line 67 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				synopsis = _tmp19_;
#line 68 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				break;
#line 463 "dconf.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label9) ? _tmp2_label9 : (_tmp2_label9 = g_quark_from_static_string ("watch")))) {
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		switch (0) {
#line 469 "dconf.c"
			default:
			{
				gchar* _tmp20_;
				gchar* _tmp21_;
#line 71 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp20_ = g_strdup ("Watch a path for key changes");
#line 71 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (description);
#line 71 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				description = _tmp20_;
#line 72 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp21_ = g_strdup (" PATH ");
#line 72 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (synopsis);
#line 72 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				synopsis = _tmp21_;
#line 73 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				break;
#line 488 "dconf.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label10) ? _tmp2_label10 : (_tmp2_label10 = g_quark_from_static_string ("dump")))) {
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		switch (0) {
#line 494 "dconf.c"
			default:
			{
				gchar* _tmp22_;
				gchar* _tmp23_;
#line 76 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp22_ = g_strdup ("Dump an entire subpath to stdout");
#line 76 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (description);
#line 76 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				description = _tmp22_;
#line 77 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp23_ = g_strdup (" DIR ");
#line 77 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (synopsis);
#line 77 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				synopsis = _tmp23_;
#line 78 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				break;
#line 513 "dconf.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label11) ? _tmp2_label11 : (_tmp2_label11 = g_quark_from_static_string ("load")))) {
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		switch (0) {
#line 519 "dconf.c"
			default:
			{
				gchar* _tmp24_;
				gchar* _tmp25_;
#line 81 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp24_ = g_strdup ("Populate a subpath from stdin");
#line 81 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (description);
#line 81 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				description = _tmp24_;
#line 82 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp25_ = g_strdup (" DIR ");
#line 82 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (synopsis);
#line 82 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				synopsis = _tmp25_;
#line 83 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				break;
#line 538 "dconf.c"
			}
		}
	} else {
#line 26 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		switch (0) {
#line 544 "dconf.c"
			default:
			{
				GString* _tmp26_;
#line 86 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp26_ = str;
#line 86 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				g_string_append_printf (_tmp26_, "Unknown command '%s'\n\n", command);
#line 87 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				command = NULL;
#line 88 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				break;
#line 556 "dconf.c"
			}
		}
	}
#line 91 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (command == NULL) {
#line 562 "dconf.c"
		GString* _tmp27_;
#line 92 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp27_ = str;
#line 92 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_string_append (_tmp27_, "Usage:\n" \
"  dconf COMMAND [ARGS...]\n" \
"\n" \
"Commands:\n" \
"  help              Show this information\n" \
"  read              Read the value of a key\n" \
"  list              List the contents of a dir\n" \
"  write             Change the value of a key\n" \
"  reset             Reset the value of a key or dir\n" \
"  compile           Compile a binary database from keyfiles\n" \
"  update            Update the system databases\n" \
"  watch             Watch a path for changes\n" \
"  dump              Dump an entire subpath to stdout\n" \
"  load              Populate a subpath from stdin\n" \
"\n" \
"Use 'dconf help COMMAND' to get detailed help.\n" \
"\n");
#line 568 "dconf.c"
	} else {
		GString* _tmp28_;
		GString* _tmp29_;
		const gchar* _tmp30_;
		GString* _tmp31_;
		const gchar* _tmp32_;
		const gchar* _tmp33_;
		GString* _tmp53_;
#line 112 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp28_ = str;
#line 112 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_string_append (_tmp28_, "Usage:\n");
#line 113 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp29_ = str;
#line 113 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp30_ = synopsis;
#line 113 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_string_append_printf (_tmp29_, "  dconf %s%s\n\n", command, _tmp30_);
#line 114 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp31_ = str;
#line 114 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp32_ = description;
#line 114 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_string_append_printf (_tmp31_, "%s\n\n", _tmp32_);
#line 116 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp33_ = synopsis;
#line 116 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		if (g_strcmp0 (_tmp33_, "") != 0) {
#line 597 "dconf.c"
			GString* _tmp34_;
			const gchar* _tmp35_;
			const gchar* _tmp37_;
			gboolean _tmp39_ = FALSE;
			const gchar* _tmp40_;
			gboolean _tmp43_ = FALSE;
			const gchar* _tmp44_;
			const gchar* _tmp47_;
			const gchar* _tmp49_;
			const gchar* _tmp51_;
#line 117 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp34_ = str;
#line 117 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			g_string_append (_tmp34_, "Arguments:\n");
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp35_ = synopsis;
#line 119 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			if (string_contains (_tmp35_, " COMMAND ")) {
#line 616 "dconf.c"
				GString* _tmp36_;
#line 120 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp36_ = str;
#line 120 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				g_string_append (_tmp36_, "  COMMAND     The (optional) command to explain\n");
#line 622 "dconf.c"
			}
#line 123 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp37_ = synopsis;
#line 123 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			if (string_contains (_tmp37_, " PATH ")) {
#line 628 "dconf.c"
				GString* _tmp38_;
#line 124 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp38_ = str;
#line 124 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				g_string_append (_tmp38_, "  PATH        Either a KEY or DIR\n");
#line 634 "dconf.c"
			}
#line 127 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp40_ = synopsis;
#line 127 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			if (string_contains (_tmp40_, " PATH ")) {
#line 127 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp39_ = TRUE;
#line 642 "dconf.c"
			} else {
				const gchar* _tmp41_;
#line 127 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp41_ = synopsis;
#line 127 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp39_ = string_contains (_tmp41_, " KEY ");
#line 649 "dconf.c"
			}
#line 127 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			if (_tmp39_) {
#line 653 "dconf.c"
				GString* _tmp42_;
#line 128 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp42_ = str;
#line 128 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				g_string_append (_tmp42_, "  KEY         A key path (starting, but not ending with '/')\n");
#line 659 "dconf.c"
			}
#line 131 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp44_ = synopsis;
#line 131 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			if (string_contains (_tmp44_, " PATH ")) {
#line 131 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp43_ = TRUE;
#line 667 "dconf.c"
			} else {
				const gchar* _tmp45_;
#line 131 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp45_ = synopsis;
#line 131 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp43_ = string_contains (_tmp45_, " DIR ");
#line 674 "dconf.c"
			}
#line 131 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			if (_tmp43_) {
#line 678 "dconf.c"
				GString* _tmp46_;
#line 132 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp46_ = str;
#line 132 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				g_string_append (_tmp46_, "  DIR         A directory path (starting and ending with '/')\n");
#line 684 "dconf.c"
			}
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp47_ = synopsis;
#line 135 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			if (string_contains (_tmp47_, " VALUE ")) {
#line 690 "dconf.c"
				GString* _tmp48_;
#line 136 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp48_ = str;
#line 136 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				g_string_append (_tmp48_, "  VALUE       The value to write (in GVariant format)\n");
#line 696 "dconf.c"
			}
#line 139 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp49_ = synopsis;
#line 139 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			if (string_contains (_tmp49_, " OUTPUT ")) {
#line 702 "dconf.c"
				GString* _tmp50_;
#line 140 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp50_ = str;
#line 140 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				g_string_append (_tmp50_, "  OUTPUT      The filename of the (binary) output\n");
#line 708 "dconf.c"
			}
#line 143 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp51_ = synopsis;
#line 143 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			if (string_contains (_tmp51_, " KEYFILEDIR ")) {
#line 714 "dconf.c"
				GString* _tmp52_;
#line 144 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp52_ = str;
#line 144 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				g_string_append (_tmp52_, "  KEYFILEDIR  The path to the .d directory containing keyfiles\n");
#line 720 "dconf.c"
			}
		}
#line 148 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp53_ = str;
#line 148 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_string_append (_tmp53_, "\n");
#line 727 "dconf.c"
	}
#line 151 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (requested) {
#line 731 "dconf.c"
		GString* _tmp54_;
		const gchar* _tmp55_;
#line 152 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp54_ = str;
#line 152 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp55_ = _tmp54_->str;
#line 152 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_print ("%s", _tmp55_);
#line 740 "dconf.c"
	} else {
		GString* _tmp56_;
		const gchar* _tmp57_;
#line 154 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp56_ = str;
#line 154 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp57_ = _tmp56_->str;
#line 154 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_printerr ("%s", _tmp57_);
#line 750 "dconf.c"
	}
#line 21 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_free0 (synopsis);
#line 21 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_free0 (description);
#line 21 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_string_free0 (str);
#line 758 "dconf.c"
}


void
dconf_help (gchar** args,
            int args_length1,
            GError** error)
{
	const gchar* _tmp0_;
#line 159 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp0_ = args[2];
#line 159 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	show_help (TRUE, _tmp0_);
#line 772 "dconf.c"
}


void
dconf_read (gchar** args,
            int args_length1,
            GError** error)
{
	DConfClient* client = NULL;
	DConfClient* _tmp0_;
	DConfReadFlags flags = 0;
	gint index = 0;
	gint _tmp1_;
	const gchar* _tmp2_;
	gchar* key = NULL;
	gint _tmp4_;
	const gchar* _tmp5_;
	gchar* _tmp6_;
	GVariant* _result_ = NULL;
	DConfClient* _tmp7_;
	DConfReadFlags _tmp8_;
	GVariant* _tmp9_;
	GVariant* _tmp10_;
	GError* _inner_error0_ = NULL;
#line 163 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp0_ = dconf_client_new ();
#line 163 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	client = _tmp0_;
#line 164 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	flags = DCONF_READ_FLAGS_NONE;
#line 165 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	index = 2;
#line 167 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp1_ = index;
#line 167 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp2_ = args[_tmp1_];
#line 167 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (g_strcmp0 (_tmp2_, "-d") == 0) {
#line 811 "dconf.c"
		gint _tmp3_;
#line 168 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		flags = DCONF_READ_DEFAULT_VALUE;
#line 169 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp3_ = index;
#line 169 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		index = _tmp3_ + 1;
#line 819 "dconf.c"
	}
#line 172 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp4_ = index;
#line 172 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp5_ = args[_tmp4_];
#line 172 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp6_ = g_strdup (_tmp5_);
#line 172 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	key = _tmp6_;
#line 174 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_is_key (key, &_inner_error0_);
#line 174 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 174 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_propagate_error (error, _inner_error0_);
#line 174 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (key);
#line 174 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_object_unref0 (client);
#line 174 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		return;
#line 841 "dconf.c"
	}
#line 176 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp7_ = client;
#line 176 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp8_ = flags;
#line 176 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp9_ = dconf_client_read_full (_tmp7_, key, _tmp8_, NULL);
#line 176 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_result_ = _tmp9_;
#line 178 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp10_ = _result_;
#line 178 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (_tmp10_ != NULL) {
#line 855 "dconf.c"
		GVariant* _tmp11_;
		gchar* _tmp12_;
		gchar* _tmp13_;
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp11_ = _result_;
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp12_ = g_variant_print (_tmp11_, TRUE);
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp13_ = _tmp12_;
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_print ("%s\n", _tmp13_);
#line 179 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (_tmp13_);
#line 869 "dconf.c"
	}
#line 162 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_variant_unref0 (_result_);
#line 162 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_free0 (key);
#line 162 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_object_unref0 (client);
#line 877 "dconf.c"
}


void
dconf_list (gchar** args,
            int args_length1,
            GError** error)
{
	DConfClient* client = NULL;
	DConfClient* _tmp0_;
	gchar* dir = NULL;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gint _tmp3_ = 0;
	gchar** _tmp4_;
	GError* _inner_error0_ = NULL;
#line 184 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp0_ = dconf_client_new ();
#line 184 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	client = _tmp0_;
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp1_ = args[2];
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 185 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dir = _tmp2_;
#line 187 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_is_dir (dir, &_inner_error0_);
#line 187 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 187 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_propagate_error (error, _inner_error0_);
#line 187 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (dir);
#line 187 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_object_unref0 (client);
#line 187 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		return;
#line 916 "dconf.c"
	}
#line 189 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp4_ = dconf_client_list (client, dir, &_tmp3_);
#line 920 "dconf.c"
	{
		gchar** item_collection = NULL;
		gint item_collection_length1 = 0;
		gint _item_collection_size_ = 0;
		gint item_it = 0;
#line 189 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		item_collection = _tmp4_;
#line 189 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		item_collection_length1 = _tmp3_;
#line 189 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		for (item_it = 0; item_it < item_collection_length1; item_it = item_it + 1) {
#line 932 "dconf.c"
			gchar* _tmp5_;
			gchar* item = NULL;
#line 189 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp5_ = g_strdup (item_collection[item_it]);
#line 189 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			item = _tmp5_;
#line 939 "dconf.c"
			{
				const gchar* _tmp6_;
#line 190 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp6_ = item;
#line 190 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				g_print ("%s\n", _tmp6_);
#line 189 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (item);
#line 948 "dconf.c"
			}
		}
#line 189 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		item_collection = (_vala_array_free (item_collection, item_collection_length1, (GDestroyNotify) g_free), NULL);
#line 953 "dconf.c"
	}
#line 183 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_free0 (dir);
#line 183 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_object_unref0 (client);
#line 959 "dconf.c"
}


void
dconf_list_locks (gchar** args,
                  int args_length1,
                  GError** error)
{
	DConfClient* client = NULL;
	DConfClient* _tmp0_;
	gchar* dir = NULL;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gint _tmp3_ = 0;
	gchar** _tmp4_;
	GError* _inner_error0_ = NULL;
#line 195 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp0_ = dconf_client_new ();
#line 195 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	client = _tmp0_;
#line 196 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp1_ = args[2];
#line 196 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 196 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dir = _tmp2_;
#line 198 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_is_dir (dir, &_inner_error0_);
#line 198 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 198 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_propagate_error (error, _inner_error0_);
#line 198 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (dir);
#line 198 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_object_unref0 (client);
#line 198 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		return;
#line 998 "dconf.c"
	}
#line 200 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp4_ = dconf_client_list_locks (client, dir, &_tmp3_);
#line 1002 "dconf.c"
	{
		gchar** item_collection = NULL;
		gint item_collection_length1 = 0;
		gint _item_collection_size_ = 0;
		gint item_it = 0;
#line 200 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		item_collection = _tmp4_;
#line 200 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		item_collection_length1 = _tmp3_;
#line 200 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		for (item_it = 0; item_it < item_collection_length1; item_it = item_it + 1) {
#line 1014 "dconf.c"
			gchar* _tmp5_;
			gchar* item = NULL;
#line 200 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp5_ = g_strdup (item_collection[item_it]);
#line 200 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			item = _tmp5_;
#line 1021 "dconf.c"
			{
				const gchar* _tmp6_;
#line 201 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp6_ = item;
#line 201 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				g_print ("%s\n", _tmp6_);
#line 200 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (item);
#line 1030 "dconf.c"
			}
		}
#line 200 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		item_collection = (_vala_array_free (item_collection, item_collection_length1, (GDestroyNotify) g_free), NULL);
#line 1035 "dconf.c"
	}
#line 194 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_free0 (dir);
#line 194 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_object_unref0 (client);
#line 1041 "dconf.c"
}


void
dconf_write (gchar** args,
             int args_length1,
             GError** error)
{
	DConfClient* client = NULL;
	DConfClient* _tmp0_;
	gchar* key = NULL;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* val = NULL;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	const gchar* _tmp5_;
	GVariant* _tmp6_ = NULL;
	const gchar* _tmp7_;
	GVariant* _tmp8_;
	DConfClient* _tmp9_;
	const gchar* _tmp10_;
	GError* _inner_error0_ = NULL;
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp0_ = dconf_client_new ();
#line 206 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	client = _tmp0_;
#line 207 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp1_ = args[2];
#line 207 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 207 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	key = _tmp2_;
#line 208 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp3_ = args[3];
#line 208 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp4_ = g_strdup (_tmp3_);
#line 208 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	val = _tmp4_;
#line 210 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp5_ = key;
#line 210 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_is_key (_tmp5_, &_inner_error0_);
#line 210 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 210 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_propagate_error (error, _inner_error0_);
#line 210 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (val);
#line 210 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (key);
#line 210 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_object_unref0 (client);
#line 210 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		return;
#line 1097 "dconf.c"
	}
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp7_ = val;
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp8_ = g_variant_parse (NULL, _tmp7_, NULL, NULL, &_inner_error0_);
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp6_ = _tmp8_;
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_propagate_error (error, _inner_error0_);
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (val);
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (key);
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_object_unref0 (client);
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		return;
#line 1117 "dconf.c"
	}
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp9_ = client;
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp10_ = key;
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_client_write_sync (_tmp9_, _tmp10_, _tmp6_, NULL, NULL, &_inner_error0_);
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_propagate_error (error, _inner_error0_);
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_variant_unref0 (_tmp6_);
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (val);
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (key);
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_object_unref0 (client);
#line 212 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		return;
#line 1139 "dconf.c"
	}
#line 205 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_variant_unref0 (_tmp6_);
#line 205 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_free0 (val);
#line 205 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_free0 (key);
#line 205 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_object_unref0 (client);
#line 1149 "dconf.c"
}


void
dconf_reset (gchar** args,
             int args_length1,
             GError** error)
{
	DConfClient* client = NULL;
	DConfClient* _tmp0_;
	gboolean force = FALSE;
	gint index = 0;
	gint _tmp1_;
	const gchar* _tmp2_;
	gchar* path = NULL;
	gint _tmp4_;
	const gchar* _tmp5_;
	gchar* _tmp6_;
	const gchar* _tmp7_;
	gboolean _tmp8_ = FALSE;
	const gchar* _tmp9_;
	DConfClient* _tmp12_;
	const gchar* _tmp13_;
	GError* _inner_error0_ = NULL;
#line 216 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp0_ = dconf_client_new ();
#line 216 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	client = _tmp0_;
#line 217 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	force = FALSE;
#line 218 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	index = 2;
#line 220 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp1_ = index;
#line 220 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp2_ = args[_tmp1_];
#line 220 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (g_strcmp0 (_tmp2_, "-f") == 0) {
#line 1188 "dconf.c"
		gint _tmp3_;
#line 221 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		force = TRUE;
#line 222 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp3_ = index;
#line 222 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		index = _tmp3_ + 1;
#line 1196 "dconf.c"
	}
#line 225 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp4_ = index;
#line 225 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp5_ = args[_tmp4_];
#line 225 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp6_ = g_strdup (_tmp5_);
#line 225 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	path = _tmp6_;
#line 227 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp7_ = path;
#line 227 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_is_path (_tmp7_, &_inner_error0_);
#line 227 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 227 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_propagate_error (error, _inner_error0_);
#line 227 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (path);
#line 227 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_object_unref0 (client);
#line 227 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		return;
#line 1220 "dconf.c"
	}
#line 229 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp9_ = path;
#line 229 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (dconf_is_dir (_tmp9_, NULL)) {
#line 1226 "dconf.c"
		gboolean _tmp10_;
#line 229 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp10_ = force;
#line 229 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp8_ = !_tmp10_;
#line 1232 "dconf.c"
	} else {
#line 229 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp8_ = FALSE;
#line 1236 "dconf.c"
	}
#line 229 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (_tmp8_) {
#line 1240 "dconf.c"
		GError* _tmp11_;
#line 230 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp11_ = g_error_new_literal (G_OPTION_ERROR, G_OPTION_ERROR_FAILED, "-f must be given to (recursively) reset entire dirs");
#line 230 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_inner_error0_ = _tmp11_;
#line 230 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_propagate_error (error, _inner_error0_);
#line 230 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (path);
#line 230 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_object_unref0 (client);
#line 230 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		return;
#line 1254 "dconf.c"
	}
#line 233 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp12_ = client;
#line 233 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp13_ = path;
#line 233 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_client_write_sync (_tmp12_, _tmp13_, NULL, NULL, NULL, &_inner_error0_);
#line 233 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 233 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_propagate_error (error, _inner_error0_);
#line 233 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (path);
#line 233 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_object_unref0 (client);
#line 233 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		return;
#line 1272 "dconf.c"
	}
#line 215 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_free0 (path);
#line 215 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_object_unref0 (client);
#line 1278 "dconf.c"
}


void
show_path (DConfClient* client,
           const gchar* path)
{
#line 236 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	g_return_if_fail (client != NULL);
#line 236 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	g_return_if_fail (path != NULL);
#line 237 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (dconf_is_key (path, NULL)) {
#line 1292 "dconf.c"
		GVariant* value = NULL;
		GVariant* _tmp0_;
		gchar* _tmp1_ = NULL;
		GVariant* _tmp2_;
#line 238 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp0_ = dconf_client_read (client, path);
#line 238 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		value = _tmp0_;
#line 240 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp2_ = value;
#line 240 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		if (_tmp2_ != NULL) {
#line 1305 "dconf.c"
			GVariant* _tmp3_;
			gchar* _tmp4_;
#line 240 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp3_ = value;
#line 240 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp4_ = g_variant_print (_tmp3_, TRUE);
#line 240 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_g_free0 (_tmp1_);
#line 240 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp1_ = _tmp4_;
#line 1316 "dconf.c"
		} else {
			gchar* _tmp5_;
#line 240 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp5_ = g_strdup ("unset");
#line 240 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_g_free0 (_tmp1_);
#line 240 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp1_ = _tmp5_;
#line 1325 "dconf.c"
		}
#line 240 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_print ("  %s\n", _tmp1_);
#line 237 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (_tmp1_);
#line 237 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_variant_unref0 (value);
#line 1333 "dconf.c"
	}
}


void
watch_function (DConfClient* client,
                const gchar* path,
                gchar** items,
                int items_length1,
                const gchar* tag)
{
#line 244 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	g_return_if_fail (client != NULL);
#line 244 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	g_return_if_fail (path != NULL);
#line 1349 "dconf.c"
	{
		gchar** item_collection = NULL;
		gint item_collection_length1 = 0;
		gint _item_collection_size_ = 0;
		gint item_it = 0;
#line 245 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		item_collection = items;
#line 245 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		item_collection_length1 = items_length1;
#line 245 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		for (item_it = 0; item_it < item_collection_length1; item_it = item_it + 1) {
#line 1361 "dconf.c"
			gchar* _tmp0_;
			gchar* item = NULL;
#line 245 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp0_ = g_strdup (item_collection[item_it]);
#line 245 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			item = _tmp0_;
#line 1368 "dconf.c"
			{
				gchar* full = NULL;
				const gchar* _tmp1_;
				gchar* _tmp2_;
				const gchar* _tmp3_;
				const gchar* _tmp4_;
#line 246 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp1_ = item;
#line 246 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp2_ = g_strconcat (path, _tmp1_, NULL);
#line 246 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				full = _tmp2_;
#line 247 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp3_ = full;
#line 247 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				g_print ("%s\n", _tmp3_);
#line 248 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp4_ = full;
#line 248 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				show_path (client, _tmp4_);
#line 245 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (full);
#line 245 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_g_free0 (item);
#line 1393 "dconf.c"
			}
		}
	}
#line 250 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	g_print ("\n");
#line 1399 "dconf.c"
}


static void
_watch_function_dconf_client_changed (DConfClient* _sender,
                                      const gchar* prefix,
                                      gchar** changes,
                                      const gchar* tag,
                                      gpointer self)
{
#line 259 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	watch_function (_sender, prefix, changes, _vala_array_length (changes), tag);
#line 1412 "dconf.c"
}


void
dconf_watch (gchar** args,
             int args_length1,
             GError** error)
{
	DConfClient* client = NULL;
	DConfClient* _tmp0_;
	gchar* path = NULL;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	GMainLoop* _tmp3_;
	GMainLoop* _tmp4_;
	GError* _inner_error0_ = NULL;
#line 254 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp0_ = dconf_client_new ();
#line 254 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	client = _tmp0_;
#line 255 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp1_ = args[2];
#line 255 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 255 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	path = _tmp2_;
#line 257 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_is_path (path, &_inner_error0_);
#line 257 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 257 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_propagate_error (error, _inner_error0_);
#line 257 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (path);
#line 257 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_object_unref0 (client);
#line 257 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		return;
#line 1451 "dconf.c"
	}
#line 259 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	g_signal_connect (client, "changed", (GCallback) _watch_function_dconf_client_changed, NULL);
#line 260 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_client_watch_sync (client, path);
#line 262 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp3_ = g_main_loop_new (NULL, FALSE);
#line 262 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp4_ = _tmp3_;
#line 262 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	g_main_loop_run (_tmp4_);
#line 262 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_main_loop_unref0 (_tmp4_);
#line 253 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_free0 (path);
#line 253 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_object_unref0 (client);
#line 1469 "dconf.c"
}


void
dconf_blame (gchar** args,
             int args_length1,
             GError** error)
{
	GDBusConnection* connection = NULL;
	GDBusConnection* _tmp0_;
	GVariant* reply = NULL;
	GDBusConnection* _tmp1_;
	GVariantType* _tmp2_;
	GVariantType* _tmp3_;
	GVariant* _tmp4_;
	GVariant* _tmp5_;
	GVariant* _tmp6_;
	GVariant* _tmp7_;
	GVariant* _tmp8_;
	const gchar* _tmp9_;
	GError* _inner_error0_ = NULL;
#line 266 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp0_ = g_bus_get_sync (G_BUS_TYPE_SESSION, NULL, &_inner_error0_);
#line 266 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	connection = _tmp0_;
#line 266 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 266 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_propagate_error (error, _inner_error0_);
#line 266 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		return;
#line 1501 "dconf.c"
	}
#line 267 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp1_ = connection;
#line 267 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp2_ = g_variant_type_new ("(s)");
#line 267 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp3_ = _tmp2_;
#line 267 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp4_ = g_dbus_connection_call_sync (_tmp1_, "ca.desrt.dconf", "/ca/desrt/dconf", "ca.desrt.dconf.ServiceInfo", "Blame", NULL, _tmp3_, G_DBUS_CALL_FLAGS_NONE, -1, NULL, &_inner_error0_);
#line 267 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp5_ = _tmp4_;
#line 267 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_variant_type_free0 (_tmp3_);
#line 267 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	reply = _tmp5_;
#line 267 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 267 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_propagate_error (error, _inner_error0_);
#line 267 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_object_unref0 (connection);
#line 267 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		return;
#line 1525 "dconf.c"
	}
#line 269 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp6_ = reply;
#line 269 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp7_ = g_variant_get_child_value (_tmp6_, (gsize) 0);
#line 269 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp8_ = _tmp7_;
#line 269 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp9_ = g_variant_get_string (_tmp8_, NULL);
#line 269 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	g_print ("%s", _tmp9_);
#line 269 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_variant_unref0 (_tmp8_);
#line 265 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_variant_unref0 (reply);
#line 265 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_object_unref0 (connection);
#line 1543 "dconf.c"
}


static gchar
string_get (const gchar* self,
            glong index)
{
	gchar result = '\0';
	gchar _tmp0_;
#line 1180 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, '\0');
#line 1181 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = ((gchar*) self)[index];
#line 1181 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp0_;
#line 1181 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 1561 "dconf.c"
}


static glong
string_strnlen (gchar* str,
                glong maxlen)
{
	glong result = 0L;
	gchar* end = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
#line 1392 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = memchr (str, 0, (gsize) maxlen);
#line 1392 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	end = _tmp0_;
#line 1393 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = end;
#line 1393 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp1_ == NULL) {
#line 1394 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = maxlen;
#line 1394 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 1585 "dconf.c"
	} else {
		gchar* _tmp2_;
#line 1396 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = end;
#line 1396 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = (glong) (_tmp2_ - str);
#line 1396 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 1594 "dconf.c"
	}
}


static gchar*
string_substring (const gchar* self,
                  glong offset,
                  glong len)
{
	gchar* result = NULL;
	glong string_length = 0L;
	gboolean _tmp0_ = FALSE;
	glong _tmp6_;
	gchar* _tmp7_;
#line 1403 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1405 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (offset >= ((glong) 0)) {
#line 1405 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = len >= ((glong) 0);
#line 1615 "dconf.c"
	} else {
#line 1405 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = FALSE;
#line 1619 "dconf.c"
	}
#line 1405 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 1407 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		string_length = string_strnlen ((gchar*) self, offset + len);
#line 1625 "dconf.c"
	} else {
		gint _tmp1_;
		gint _tmp2_;
#line 1409 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = strlen (self);
#line 1409 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1409 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		string_length = (glong) _tmp2_;
#line 1635 "dconf.c"
	}
#line 1412 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (offset < ((glong) 0)) {
#line 1639 "dconf.c"
		glong _tmp3_;
#line 1413 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp3_ = string_length;
#line 1413 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		offset = _tmp3_ + offset;
#line 1414 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_return_val_if_fail (offset >= ((glong) 0), NULL);
#line 1647 "dconf.c"
	} else {
		glong _tmp4_;
#line 1416 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = string_length;
#line 1416 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_return_val_if_fail (offset <= _tmp4_, NULL);
#line 1654 "dconf.c"
	}
#line 1418 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (len < ((glong) 0)) {
#line 1658 "dconf.c"
		glong _tmp5_;
#line 1419 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp5_ = string_length;
#line 1419 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		len = _tmp5_ - offset;
#line 1664 "dconf.c"
	}
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp6_ = string_length;
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail ((offset + len) <= _tmp6_, NULL);
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp7_ = g_strndup (((gchar*) self) + offset, (gsize) len);
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp7_;
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 1676 "dconf.c"
}


void
dconf_complete (gchar** args,
                int args_length1,
                GError** error)
{
	gchar* suffix = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* path = NULL;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	const gchar* _tmp5_;
#line 273 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp0_ = args[2];
#line 273 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 273 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	suffix = _tmp1_;
#line 274 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp2_ = args[3];
#line 274 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 274 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	path = _tmp3_;
#line 276 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp4_ = path;
#line 276 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (g_strcmp0 (_tmp4_, "") == 0) {
#line 277 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		g_print ("/\n");
#line 278 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (path);
#line 278 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (suffix);
#line 278 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		return;
#line 1717 "dconf.c"
	}
#line 281 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp5_ = path;
#line 281 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (string_get (_tmp5_, (glong) 0) == '/') {
#line 1723 "dconf.c"
		DConfClient* client = NULL;
		DConfClient* _tmp6_;
		gint last = 0;
		gchar* dir = NULL;
		const gchar* _tmp14_;
		gint _tmp15_;
		gchar* _tmp16_;
		DConfClient* _tmp17_;
		const gchar* _tmp18_;
		gint _tmp19_ = 0;
		gchar** _tmp20_;
#line 282 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp6_ = dconf_client_new ();
#line 282 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		client = _tmp6_;
#line 283 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		last = 0;
#line 1741 "dconf.c"
		{
			gint i = 0;
#line 285 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			i = 1;
#line 1746 "dconf.c"
			{
				gboolean _tmp7_ = FALSE;
#line 285 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp7_ = TRUE;
#line 285 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				while (TRUE) {
#line 1753 "dconf.c"
					const gchar* _tmp9_;
					gint _tmp10_;
					const gchar* _tmp11_;
					gint _tmp12_;
#line 285 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					if (!_tmp7_) {
#line 1760 "dconf.c"
						gint _tmp8_;
#line 285 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						_tmp8_ = i;
#line 285 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						i = _tmp8_ + 1;
#line 1766 "dconf.c"
					}
#line 285 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					_tmp7_ = FALSE;
#line 285 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					_tmp9_ = path;
#line 285 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					_tmp10_ = i;
#line 285 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					if (!(string_get (_tmp9_, (glong) _tmp10_) != '\0')) {
#line 285 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						break;
#line 1778 "dconf.c"
					}
#line 286 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					_tmp11_ = path;
#line 286 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					_tmp12_ = i;
#line 286 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					if (string_get (_tmp11_, (glong) _tmp12_) == '/') {
#line 1786 "dconf.c"
						gint _tmp13_;
#line 287 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						_tmp13_ = i;
#line 287 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						last = _tmp13_;
#line 1792 "dconf.c"
					}
				}
			}
		}
#line 291 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp14_ = path;
#line 291 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp15_ = last;
#line 291 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp16_ = string_substring (_tmp14_, (glong) 0, (glong) (_tmp15_ + 1));
#line 291 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		dir = _tmp16_;
#line 292 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp17_ = client;
#line 292 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp18_ = dir;
#line 292 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp20_ = dconf_client_list (_tmp17_, _tmp18_, &_tmp19_);
#line 1811 "dconf.c"
		{
			gchar** item_collection = NULL;
			gint item_collection_length1 = 0;
			gint _item_collection_size_ = 0;
			gint item_it = 0;
#line 292 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			item_collection = _tmp20_;
#line 292 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			item_collection_length1 = _tmp19_;
#line 292 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			for (item_it = 0; item_it < item_collection_length1; item_it = item_it + 1) {
#line 1823 "dconf.c"
				gchar* _tmp21_;
				gchar* item = NULL;
#line 292 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp21_ = g_strdup (item_collection[item_it]);
#line 292 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				item = _tmp21_;
#line 1830 "dconf.c"
				{
					gchar* full_item = NULL;
					const gchar* _tmp22_;
					const gchar* _tmp23_;
					gchar* _tmp24_;
					gboolean _tmp25_ = FALSE;
					const gchar* _tmp26_;
					const gchar* _tmp27_;
#line 293 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					_tmp22_ = dir;
#line 293 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					_tmp23_ = item;
#line 293 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					_tmp24_ = g_strconcat (_tmp22_, _tmp23_, NULL);
#line 293 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					full_item = _tmp24_;
#line 295 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					_tmp26_ = full_item;
#line 295 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					_tmp27_ = path;
#line 295 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					if (g_str_has_prefix (_tmp26_, _tmp27_)) {
#line 1853 "dconf.c"
						const gchar* _tmp28_;
						const gchar* _tmp29_;
#line 295 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						_tmp28_ = item;
#line 295 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						_tmp29_ = suffix;
#line 295 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						_tmp25_ = g_str_has_suffix (_tmp28_, _tmp29_);
#line 1862 "dconf.c"
					} else {
#line 295 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						_tmp25_ = FALSE;
#line 1866 "dconf.c"
					}
#line 295 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					if (_tmp25_) {
#line 1870 "dconf.c"
						const gchar* _tmp30_ = NULL;
						const gchar* _tmp31_;
						const gchar* _tmp32_;
#line 296 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						_tmp31_ = full_item;
#line 296 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						if (g_str_has_suffix (_tmp31_, "/")) {
#line 296 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
							_tmp30_ = "";
#line 1880 "dconf.c"
						} else {
#line 296 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
							_tmp30_ = " ";
#line 1884 "dconf.c"
						}
#line 296 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						_tmp32_ = full_item;
#line 296 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						g_print ("%s%s\n", _tmp32_, _tmp30_);
#line 1890 "dconf.c"
					}
#line 292 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					_g_free0 (full_item);
#line 292 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					_g_free0 (item);
#line 1896 "dconf.c"
				}
			}
#line 292 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			item_collection = (_vala_array_free (item_collection, item_collection_length1, (GDestroyNotify) g_free), NULL);
#line 1901 "dconf.c"
		}
#line 281 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_free0 (dir);
#line 281 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_object_unref0 (client);
#line 1907 "dconf.c"
	}
#line 272 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_free0 (path);
#line 272 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_free0 (suffix);
#line 1913 "dconf.c"
}


void
command_mapping_init (CommandMapping *self,
                      const gchar* name,
                      Command func,
                      gpointer func_target)
{
	gchar* _tmp0_;
#line 308 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	g_return_if_fail (name != NULL);
#line 308 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	memset (self, 0, sizeof (CommandMapping));
#line 309 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp0_ = g_strdup (name);
#line 309 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_free0 ((*self).name);
#line 309 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*self).name = _tmp0_;
#line 310 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	((*self).func_target_destroy_notify == NULL) ? NULL : ((*self).func_target_destroy_notify ((*self).func_target), NULL);
#line 310 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*self).func = NULL;
#line 310 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*self).func_target = NULL;
#line 310 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*self).func_target_destroy_notify = NULL;
#line 310 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*self).func = func;
#line 310 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*self).func_target = func_target;
#line 310 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*self).func_target_destroy_notify = NULL;
#line 1948 "dconf.c"
}


void
command_mapping_copy (const CommandMapping* self,
                      CommandMapping* dest)
{
	Command _tmp0_;
	void* _tmp0__target;
	const gchar* _tmp1_;
	gchar* _tmp2_;
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp0_ = (*self).func;
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp0__target = (*self).func_target;
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	((*dest).func_target_destroy_notify == NULL) ? NULL : ((*dest).func_target_destroy_notify ((*dest).func_target), NULL);
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*dest).func = NULL;
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*dest).func_target = NULL;
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*dest).func_target_destroy_notify = NULL;
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*dest).func = _tmp0_;
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*dest).func_target = _tmp0__target;
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*dest).func_target_destroy_notify = NULL;
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp1_ = (*self).name;
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_free0 ((*dest).name);
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*dest).name = _tmp2_;
#line 1986 "dconf.c"
}


void
command_mapping_destroy (CommandMapping* self)
{
#line 305 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	((*self).func_target_destroy_notify == NULL) ? NULL : ((*self).func_target_destroy_notify ((*self).func_target), NULL);
#line 305 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*self).func = NULL;
#line 305 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*self).func_target = NULL;
#line 305 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	(*self).func_target_destroy_notify = NULL;
#line 306 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_g_free0 ((*self).name);
#line 2003 "dconf.c"
}


CommandMapping*
command_mapping_dup (const CommandMapping* self)
{
	CommandMapping* dup;
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dup = g_new0 (CommandMapping, 1);
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	command_mapping_copy (self, dup);
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	return dup;
#line 2017 "dconf.c"
}


void
command_mapping_free (CommandMapping* self)
{
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	command_mapping_destroy (self);
#line 304 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	g_free (self);
#line 2028 "dconf.c"
}


GType
command_mapping_get_type (void)
{
	static volatile gsize command_mapping_type_id__volatile = 0;
	if (g_once_init_enter (&command_mapping_type_id__volatile)) {
		GType command_mapping_type_id;
		command_mapping_type_id = g_boxed_type_register_static ("CommandMapping", (GBoxedCopyFunc) command_mapping_dup, (GBoxedFreeFunc) command_mapping_free);
		g_once_init_leave (&command_mapping_type_id__volatile, command_mapping_type_id);
	}
	return command_mapping_type_id__volatile;
}


static void
_dconf_help_command (gchar** args,
                     int args_length1,
                     gpointer self,
                     GError** error)
{
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_help (args, args_length1, error);
#line 2053 "dconf.c"
}


static void
_dconf_read_command (gchar** args,
                     int args_length1,
                     gpointer self,
                     GError** error)
{
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_read (args, args_length1, error);
#line 2065 "dconf.c"
}


static void
_dconf_list_command (gchar** args,
                     int args_length1,
                     gpointer self,
                     GError** error)
{
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_list (args, args_length1, error);
#line 2077 "dconf.c"
}


static void
_dconf_list_locks_command (gchar** args,
                           int args_length1,
                           gpointer self,
                           GError** error)
{
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_list_locks (args, args_length1, error);
#line 2089 "dconf.c"
}


static void
_dconf_write_command (gchar** args,
                      int args_length1,
                      gpointer self,
                      GError** error)
{
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_write (args, args_length1, error);
#line 2101 "dconf.c"
}


static void
_dconf_reset_command (gchar** args,
                      int args_length1,
                      gpointer self,
                      GError** error)
{
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_reset (args, args_length1, error);
#line 2113 "dconf.c"
}


static void
_dconf_compile_command (gchar** args,
                        int args_length1,
                        gpointer self,
                        GError** error)
{
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_compile (args, args_length1, error);
#line 2125 "dconf.c"
}


static void
_dconf_update_command (gchar** args,
                       int args_length1,
                       gpointer self,
                       GError** error)
{
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_update (args, args_length1, error);
#line 2137 "dconf.c"
}


static void
_dconf_watch_command (gchar** args,
                      int args_length1,
                      gpointer self,
                      GError** error)
{
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_watch (args, args_length1, error);
#line 2149 "dconf.c"
}


static void
_dconf_dump_command (gchar** args,
                     int args_length1,
                     gpointer self,
                     GError** error)
{
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_dump (args, args_length1, error);
#line 2161 "dconf.c"
}


static void
_dconf_load_command (gchar** args,
                     int args_length1,
                     gpointer self,
                     GError** error)
{
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_load (args, args_length1, error);
#line 2173 "dconf.c"
}


static void
_dconf_blame_command (gchar** args,
                      int args_length1,
                      gpointer self,
                      GError** error)
{
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_blame (args, args_length1, error);
#line 2185 "dconf.c"
}


static void
_dconf_complete_command (gchar** args,
                         int args_length1,
                         gpointer self,
                         GError** error)
{
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	dconf_complete (args, args_length1, error);
#line 2197 "dconf.c"
}


static void
_vala_CommandMapping_array_free (CommandMapping * array,
                                 gint array_length)
{
#line 344 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	if (array != NULL) {
#line 2207 "dconf.c"
		int i;
#line 344 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		for (i = 0; i < array_length; i = i + 1) {
#line 344 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			command_mapping_destroy (&array[i]);
#line 2213 "dconf.c"
		}
	}
#line 344 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	g_free (array);
#line 2218 "dconf.c"
}


gint
_vala_main (gchar** args,
            int args_length1)
{
	gint result = 0;
	const gchar* _tmp0_;
	CommandMapping* map = NULL;
	CommandMapping _tmp1_ = {0};
	CommandMapping _tmp2_ = {0};
	CommandMapping _tmp3_ = {0};
	CommandMapping _tmp4_ = {0};
	CommandMapping _tmp5_ = {0};
	CommandMapping _tmp6_ = {0};
	CommandMapping _tmp7_ = {0};
	CommandMapping _tmp8_ = {0};
	CommandMapping _tmp9_ = {0};
	CommandMapping _tmp10_ = {0};
	CommandMapping _tmp11_ = {0};
	CommandMapping _tmp12_ = {0};
	CommandMapping _tmp13_ = {0};
	CommandMapping* _tmp14_;
	gint map_length1;
	gint _map_size_;
	gint _tmp31_ = -1;
	GError* _inner_error0_ = NULL;
#line 315 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_vala_assert (args_length1 != 0, "args.length != 0");
#line 316 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp0_ = args[0];
#line 316 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	g_set_prgname (_tmp0_);
#line 318 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	setlocale (LC_ALL, "");
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	command_mapping_init (&_tmp1_, "help", _dconf_help_command, NULL);
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	command_mapping_init (&_tmp2_, "read", _dconf_read_command, NULL);
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	command_mapping_init (&_tmp3_, "list", _dconf_list_command, NULL);
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	command_mapping_init (&_tmp4_, "list-locks", _dconf_list_locks_command, NULL);
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	command_mapping_init (&_tmp5_, "write", _dconf_write_command, NULL);
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	command_mapping_init (&_tmp6_, "reset", _dconf_reset_command, NULL);
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	command_mapping_init (&_tmp7_, "compile", _dconf_compile_command, NULL);
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	command_mapping_init (&_tmp8_, "update", _dconf_update_command, NULL);
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	command_mapping_init (&_tmp9_, "watch", _dconf_watch_command, NULL);
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	command_mapping_init (&_tmp10_, "dump", _dconf_dump_command, NULL);
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	command_mapping_init (&_tmp11_, "load", _dconf_load_command, NULL);
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	command_mapping_init (&_tmp12_, "blame", _dconf_blame_command, NULL);
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	command_mapping_init (&_tmp13_, "_complete", _dconf_complete_command, NULL);
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp14_ = g_new0 (CommandMapping, 13);
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp14_[0] = _tmp1_;
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp14_[1] = _tmp2_;
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp14_[2] = _tmp3_;
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp14_[3] = _tmp4_;
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp14_[4] = _tmp5_;
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp14_[5] = _tmp6_;
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp14_[6] = _tmp7_;
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp14_[7] = _tmp8_;
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp14_[8] = _tmp9_;
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp14_[9] = _tmp10_;
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp14_[10] = _tmp11_;
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp14_[11] = _tmp12_;
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_tmp14_[12] = _tmp13_;
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	map = _tmp14_;
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	map_length1 = 13;
#line 320 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	_map_size_ = map_length1;
#line 2315 "dconf.c"
	{
		const gchar* _tmp15_;
		CommandMapping* _tmp17_;
		gint _tmp17__length1;
		const gchar* _tmp25_;
		GError* _tmp26_;
#line 337 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp15_ = args[1];
#line 337 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		if (_tmp15_ == NULL) {
#line 2326 "dconf.c"
			GError* _tmp16_;
#line 338 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_tmp16_ = g_error_new_literal (G_OPTION_ERROR, G_OPTION_ERROR_FAILED, "no command specified");
#line 338 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			_inner_error0_ = _tmp16_;
#line 2332 "dconf.c"
			goto __catch8_g_error;
		}
#line 341 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp17_ = map;
#line 341 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp17__length1 = map_length1;
#line 2339 "dconf.c"
		{
			CommandMapping* mapping_collection = NULL;
			gint mapping_collection_length1 = 0;
			gint _mapping_collection_size_ = 0;
			gint mapping_it = 0;
#line 341 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			mapping_collection = _tmp17_;
#line 341 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			mapping_collection_length1 = _tmp17__length1;
#line 341 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
			for (mapping_it = 0; mapping_it < mapping_collection_length1; mapping_it = mapping_it + 1) {
#line 2351 "dconf.c"
				CommandMapping _tmp18_;
				CommandMapping _tmp19_ = {0};
				CommandMapping mapping = {0};
#line 341 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				_tmp18_ = mapping_collection[mapping_it];
#line 341 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				command_mapping_copy (&_tmp18_, &_tmp19_);
#line 341 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
				mapping = _tmp19_;
#line 2361 "dconf.c"
				{
					CommandMapping _tmp20_;
					const gchar* _tmp21_;
					const gchar* _tmp22_;
#line 342 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					_tmp20_ = mapping;
#line 342 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					_tmp21_ = _tmp20_.name;
#line 342 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					_tmp22_ = args[1];
#line 342 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					if (g_strcmp0 (_tmp21_, _tmp22_) == 0) {
#line 2374 "dconf.c"
						CommandMapping _tmp23_;
						Command _tmp24_;
						void* _tmp24__target;
#line 343 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						_tmp23_ = mapping;
#line 343 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						_tmp24_ = _tmp23_.func;
#line 343 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						_tmp24__target = _tmp23_.func_target;
#line 343 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						_tmp24_ (args, args_length1, _tmp24__target, &_inner_error0_);
#line 343 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 343 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
							command_mapping_destroy (&mapping);
#line 2390 "dconf.c"
							goto __catch8_g_error;
						}
#line 344 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						result = 0;
#line 344 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						command_mapping_destroy (&mapping);
#line 344 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						map = (_vala_CommandMapping_array_free (map, map_length1), NULL);
#line 344 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
						return result;
#line 2401 "dconf.c"
					}
#line 341 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
					command_mapping_destroy (&mapping);
#line 2405 "dconf.c"
				}
			}
		}
#line 348 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp25_ = args[1];
#line 348 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp26_ = g_error_new (G_OPTION_ERROR, G_OPTION_ERROR_FAILED, "unknown command %s", _tmp25_);
#line 348 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_inner_error0_ = _tmp26_;
#line 2415 "dconf.c"
		goto __catch8_g_error;
	}
	goto __finally8;
	__catch8_g_error:
	{
		GError* e = NULL;
		FILE* _tmp27_;
		GError* _tmp28_;
		const gchar* _tmp29_;
		const gchar* _tmp30_;
#line 336 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		e = _inner_error0_;
#line 336 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_inner_error0_ = NULL;
#line 350 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp27_ = stderr;
#line 350 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp28_ = e;
#line 350 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp29_ = _tmp28_->message;
#line 350 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		fprintf (_tmp27_, "error: %s\n\n", _tmp29_);
#line 351 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_tmp30_ = args[1];
#line 351 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		show_help (FALSE, _tmp30_);
#line 352 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		result = 1;
#line 352 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		_g_error_free0 (e);
#line 352 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		map = (_vala_CommandMapping_array_free (map, map_length1), NULL);
#line 352 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
		return result;
#line 2450 "dconf.c"
	}
	__finally8:
#line 336 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	map = (_vala_CommandMapping_array_free (map, map_length1), NULL);
#line 336 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 336 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	g_clear_error (&_inner_error0_);
#line 336 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	return _tmp31_;
#line 2461 "dconf.c"
}


int
main (int argc,
      char ** argv)
{
#line 314 "/builddir/build/BUILD/dconf-0.28.0/bin/dconf.vala"
	return _vala_main (argv, argc);
#line 2471 "dconf.c"
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



